<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

switch ( true )
{
  case( $typo3Version < 7005000 ):
    return;
  default:
    // follow the workflow
    break;
}

$iconsPath = 'EXT:org/Resources/Public/Images/Icons/ExtIcon/';
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \TYPO3\CMS\Core\Imaging\IconRegistry::class );

$icons = array (
  'tx-org-cal' => 'tx_org_cal.gif'
  , 'tx-org-cal-notype' => 'notype.gif'
  , 'tx-org-cal-page' => 'page.gif'
  , 'tx-org-cal-url' => 'url.gif'
  , 'tx-org-cal-tx-org-event' => 'tx_org_event.gif'
  , 'tx-org-downloads-download' => 'tx_org_downloads.gif'
  , 'tx-org-downloads-download_shipping' => 'download_shipping.gif'
  , 'tx-org-downloads-shipping' => 'shipping.gif'
  , 'tx-org-downloadscat-cat_color' => 'cat_color.gif'
  , 'tx-org-downloadscat-cat_image' => 'cat_image.gif'
  , 'tx-org-downloadscat-cat_text' => 'cat_text.gif'
  , 'tx-org-downloadsmedia-cat_color' => 'cat_color.gif'
  , 'tx-org-downloadsmedia-cat_image' => 'cat_image.gif'
  , 'tx-org-downloadsmedia-cat_text' => 'cat_text.gif'
  , 'tx-org-event' => 'tx_org_event.gif'
  , 'tx-org-event-notype' => 'notype.gif'
  , 'tx-org-event-page' => 'page.gif'
  , 'tx-org-event-url' => 'url.gif'
  , 'tx-org-headquarters' => 'tx_org_headquarters.gif'
  , 'tx-org-headquarters-notype' => 'notype.gif'
  , 'tx-org-headquarters-page' => 'page.gif'
  , 'tx-org-headquarters-url' => 'url.gif'
  , 'tx-org-job' => 'tx_org_job.gif'
  , 'tx-org-job-notype' => 'notype.gif'
  , 'tx-org-job-page' => 'page.gif'
  , 'tx-org-job-url' => 'url.gif'
  , 'tx-org-location' => 'tx_org_location.gif'
  , 'tx-org-location-notype' => 'notype.gif'
  , 'tx-org-location-page' => 'page.gif'
  , 'tx-org-location-url' => 'url.gif'
  , 'tx-org-news' => 'tx_org_news.gif'
  , 'tx-org-news-notype' => 'notype.gif'
  , 'tx-org-news-page' => 'page.gif'
  , 'tx-org-news-url' => 'url.gif'
  , 'tx-org-service' => 'tx_org_service.gif'
  , 'tx-org-service-notype' => 'notype.gif'
  , 'tx-org-service-page' => 'page.gif'
  , 'tx-org-service-url' => 'url.gif'
  , 'tx-org-staff' => 'tx_org_staff.gif'
  , 'tx-org-staff-notype' => 'notype.gif'
  , 'tx-org-staff-page' => 'page.gif'
  , 'tx-org-staff-url' => 'url.gif'
);

foreach ( $icons as $class => $file )
{
  $source = $iconsPath . $file;
  $iconRegistry->registerIcon( $class, \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class, ['source' => $source ] );
}