<?php

if (!defined('TYPO3_MODE'))
{
  die('Access denied.');
}

// INDEX
// * de
// * default

$path = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath($_EXTKEY);

switch (true)
{
  case($llStatic == 'de'):
    // German
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org', 'org', $path . 'ext_icon.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Dienstleistungen', 'org_srvce', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_service.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Downloads', 'org_dwnlds', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Kalender', 'org_cal', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Nachrichten', 'org_news', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Personen', 'org_staff', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_staff.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Standorte', 'org_headq', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Stellenangebote', 'org_job', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_job.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Veranstaltungen', 'org_event', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Veranstaltungsorte', 'org_locat', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_location.gif');
    break;
  default:
    // English
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org', 'org', $path . 'ext_icon.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Calendar', 'org_cal', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Downloads', 'org_dwnlds', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Event', 'org_event', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Headquarters', 'org_headq', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Jobs', 'org_job', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_job.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Location', 'org_locat', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_location.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: News', 'org_news', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: Services', 'org_srvce', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_service.gif');
    $TCA['pages']['columns']['module']['config']['items'][] = array('Org: People', 'org_staff', $path . 'Resources/Public/Images/Icons/ExtIcon/tx_org_staff.gif');
}
// Case $llStatic
//  #34858, 120320, dwildt
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org', '../typo3conf/ext/org/ext_icon.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_cal', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_dwnlds', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_event', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_headq', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_headquarters.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_job', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_job.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_locat', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_location.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_news', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_srvce', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_service.gif');
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon('pages', 'contains-org_staff', '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.gif');

?>