<?php

function orgTcaColumnsIconMediumFAL()
{
	$tcaColumnsIconMediumFAL = array(
			'image' => array(
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.icons',
					'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig( 'image', array(
							'appearance' => array(
									'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
							),
							// custom configuration for displaying fields in the overlay/reference table
							// to use the imageoverlayPalette instead of the basicoverlayPalette
							'foreign_types' => array(
									'0' => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
									),
									\TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
									),
									\TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
									),
									\TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.audioOverlayPalette;audioOverlayPalette,
							--palette--;;filePalette'
									),
									\TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.videoOverlayPalette;videoOverlayPalette,
							--palette--;;filePalette'
									),
									\TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array(
											'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
									)
							)
									,
									)
									, $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ] )
			),
			'imagewidth' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:imagewidth',
					'config' => array(
							'type' => 'input',
							'size' => '4',
							'max' => '4',
							'eval' => 'int',
							'range' => array(
									'upper' => 1999,
									'lower' => 0,
							),
							'default' => 0
					)
			),
			'imageheight' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:imageheight',
					'config' => array(
							'type' => 'input',
							'size' => '4',
							'max' => '4',
							'eval' => 'int',
							'range' => array(
									'upper' => 1999,
									'lower' => 0,
							),
							'default' => 0
					)
			),
			'image_compression' => array(
					'exclude' => true,
					'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression',
					'config' => array(
							'type' => 'select',
							'renderType' => 'selectSingle',
							'items' => array(
									array(
											'LLL:EXT:lang/locallang_general.xlf:LGL.default_value',
											0
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.1',
											1
									),
									array(
											'GIF/256',
											10
									),
									array(
											'GIF/128',
											11
									),
									array(
											'GIF/64',
											12
									),
									array(
											'GIF/32',
											13
									),
									array(
											'GIF/16',
											14
									),
									array(
											'GIF/8',
											15
									),
									array(
											'PNG',
											39
									),
									array(
											'PNG/256',
											30
									),
									array(
											'PNG/128',
											31
									),
									array(
											'PNG/64',
											32
									),
									array(
											'PNG/32',
											33
									),
									array(
											'PNG/16',
											34
									),
									array(
											'PNG/8',
											35
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.15',
											21
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.16',
											22
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.17',
											24
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.18',
											26
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression.I.19',
											28
									)
							)
					)
			),
			'image_effects' => array(
					'exclude' => true,
					'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects',
					'config' => array(
							'type' => 'select',
							'renderType' => 'selectSingle',
							'items' => array(
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.0',
											0
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.1',
											1
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.2',
											2
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.3',
											3
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.4',
											10
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.5',
											11
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.6',
											20
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.7',
											23
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.8',
											25
									),
									array(
											'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects.I.9',
											26
									)
							)
					)
			),
	);

	return $tcaColumnsIconMediumFAL;
}

function orgTcaCtrlIconMediumSearchFieldsFAL()
{
	return ''
					. 'image'
					. ','
	;
}

function orgTcaPalettesIconMediumFAL()
{
	$tcaPalettesIconMediumFAL = array(
			// See: typo3/sysext/frontend/Configuration/TCA/tt_content.php
			'image_settings' => array(
					'showitem' => ''
					. 'imagewidth;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:imagewidth_formlabel,'
					. 'imageheight;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:imageheight_formlabel,'
			// #t0167, 161212, dwildt, 3-
//					. '--linebreak--,'
//					. 'image_compression;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_compression_formlabel,'
//					. 'image_effects;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:image_effects_formlabel,'
			),
	);

	return $tcaPalettesIconMediumFAL;
}

function orgTcaTypesIconMediumFAL( $case = 'big' )
{
	switch( $case )
	{
		case('icon'):
		case('small'):
			$tcaTypesIconMediumFAL = ''
							. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_color,'
							. '  color,'
							. '  --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.image_settings;image_settings,'
			;
			break;
		case('image'):
		case('medium'):
		case('big'):
		default:
			// See: typo3/sysext/fluid_styled_content/Configuration/TCA/Overrides/tt_content.php
			$tcaTypesIconMediumFAL = ''
							. '--div--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.div_icons,'
							. '  image,'
							. '  --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.image_settings;image_settings,'
			;
			break;
	}

	return $tcaTypesIconMediumFAL;
}
