<?php

require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/6x/media6x.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/7x/css_styled_content/mediaFAL.php' );

function orgTcaColumnsMedia( $table, $column, $documentConfig, $conf_input_80_trim, $fal = 1 )
{
  switch ( $fal )
  {
    case(false):
      return orgTcaColumnsMedia6x( $table, $documentConfig, $conf_input_80_trim );
    case(true):
    default:
      return orgTcaColumnsMediaFAL( $table, $column );
  }
}

function orgTcaColumnsMediaFileConfig( $column, $documentConfig, $fal )
{
  switch ( $fal )
  {
    case(false):
      return orgTcaColumnsMedia6xFileConfig( $documentConfig );
    case(true):
    default:
      return orgTcaColumnsMediaFALFileConfig( $column );
  }
}

function orgTcaCtrlMediaSearchFields( $fal = 1 )
{
  switch ( $fal )
  {
    case(false):
      return orgTcaCtrlMediaSearchFields6x();
    case(true):
    default:
      return orgTcaCtrlMediaSearchFieldsFAL();
  }
}

function orgTcaPalettesMedia( $fal = 1 )
{
  switch ( $fal )
  {
    case(false):
      return orgTcaPalettesMedia6x();
    case(true):
    default:
      return orgTcaPalettesMediaFAL();
  }
}

function orgTcaTypesMedia( $table, $fal = 1, $type = 'default' )
{
  switch ( $fal )
  {
    case(false):
      return orgTcaTypesMedia6x( $table, $type );
    case(true):
    default:
      return orgTcaTypesMediaFAL( $table, $type );
  }
}
