<?php

if (!defined('TYPO3_MODE')) {
  die('Access denied.');
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr['fal.']['disabled'];

$tx_org_downloads = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads',
        'label' => 'title',
        //'label'             => 'datetime',
//'label_alt'         => 'title',
//'label_alt_force'   => true,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'default_sortby' => 'ORDER BY title',
        //'default_sortby'    => 'ORDER BY datetime DESC, title',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
            'fe_group' => 'fe_group',
        ),
        'dividers2tabs' => true,
        'hideAtCopy' => true,
        'thumbnail' => 'documents',
        'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('org') . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif',
        'type' => 'type',
        'typeicon_column' => 'type',
        'searchFields' => ''
        . 'sys_language_uid,l10n_parent,l10n_diffsource,'
        . 'type,title,subtitle,datetime,tx_org_downloadscat,tx_org_downloadsmedia,bodytext,'
// #t0773, 160721, dwildt, 1+
        . orgTcaCtrlMediaSearchFields($fal)
        . 'thumbnail,thumbnail_width,thumbnail_height,'
        . 'linkicon_width,linkicon_height,'
//. 'tx_flipit_layout,tx_flipit_quality,tx_flipit_pagelist,tx_flipit_updateswfxml,tx_flipit_swf_files,tx_flipit_xml_file,tx_flipit_fancybox,tx_flipit_evaluate,'
        . 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
        . 'price,tax,'
        . 'stockmanagement,stockquantity,stockprompt,'
        . 'pages,'
        . 'topitem,hidden,pages,starttime,endtime,fe_group,'
        . 'seo_keywords,seo_description,'
        . 'statistics_hits,statistics_visits,statistics_downloads,statistics_downloads_by_visits,',
        // #69257, 150821, dwildt, 1+
        'filter' => 'filter_for_all_fields',
    ),
    'interface' => array(
        'showRecordFieldList' => ''
        . 'sys_language_uid,l10n_parent,l10n_diffsource,'
        . 'filterPrompt,'
        . 'type,title,subtitle,datetime,tx_org_downloadscat,tx_org_downloadsmedia,bodytext,'
// #t0773, 160721, dwildt, 1+
        . orgTcaCtrlMediaSearchFields($fal)
        . 'thumbnail,thumbnail_width,thumbnail_height,'
//. 'tx_flipit_layout,tx_flipit_quality,tx_flipit_pagelist,tx_flipit_updateswfxml,tx_flipit_swf_files,tx_flipit_xml_file,tx_flipit_fancybox,tx_flipit_evaluate,'
        . 'tx_org_staff,'
        . 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
        . 'price,tax,'
        . 'stockmanagement,stockquantity,stockprompt,'
        . 'pages,'
        . 'fe_user,'
        . 'topitem,hidden,pages,starttime,endtime,fe_group,'
        . 'seo_keywords,seo_description,'
        . 'statistics_hits,statistics_visits,statistics_downloads,statistics_downloads_by_visits,'
    ,
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'special' => 'languages',
                'items' => array(
                    array(
                        'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
                        -1,
                        'flags-multiple'
                    ),
                ),
                'default' => 0,
            )
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'suppress_icons' => 1,
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_org_downloads',
                'foreign_table_where' => 'AND tx_org_downloads.uid=###REC_FIELD_l10n_parent### AND tx_org_downloads.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough'
            ),
        ),
        'filterPrompt' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 1,
            'label' => 'LLL:EXT:org/Resources/Private/Language/Userfunc/TcaFilterPrompt/locallang.xlf:default.label',
            'config' => array(
                'type' => 'user',
                'userFunc' => 'Netzmacher\Org\Utility\UserFunc\TcaFilterPrompt->tx_org_downloads',
            ),
        ),
        'type' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    'download' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download',
                        '1' => 'download',
                        '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif',
                    ),
                    'download_shipping' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download_shipping',
                        '1' => 'download_shipping',
                        '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/download_shipping.gif',
                    ),
                    'shipping' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.shipping',
                        '1' => 'shipping',
                        '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/shipping.gif',
                    ),
                ),
                'default' => 'download',
            ),
            // #69257, 150821, dwildt, 1+
            'config_filter' => array(
                'type' => 'select',
                'items' => array(
                    'empty' => array(
                        '0' => '',
                        '1' => '',
                    ),
                    'download' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download',
                        '1' => 'download',
                    ),
                    'download_shipping' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.download_shipping',
                        '1' => 'download_shipping',
                    ),
                    'shipping' => array(
                        '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.type.shipping',
                        '1' => 'shipping',
                    ),
                ),
            ),
        ),
        'title' => array(
            'exclude' => 0,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.title',
            'config' => $conf_input_30_trimRequired,
        ),
        'subtitle' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.subtitle',
            'config' => $conf_input_30_trim,
        ),
        'datetime' => array(
            'exclude' => 0,
            'l10n_mode' => 'exclude',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.datetime',
            'config' => $conf_datetime,
            'config_filter' => array(
                'type' => 'input',
                'size' => '8',
                'max' => '20',
                'eval' => 'date',
                'fromto' => true,
                'fromto_labels' => array(
                    'from' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.datetime.from',
                    'to' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.datetime.to',
                ),
            ),
        ),
        'tx_org_downloadscat' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_downloadscat',
            'config' => array(
                'type' => 'select',
                'size' => 10,
                'minitems' => 0,
                'maxitems' => 99,
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadscat'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadscat'
                ),
                'foreign_table' => 'tx_org_downloadscat',
                'foreign_table_where' => 'AND tx_org_downloadscat.' . $str_store_record_conf . ' AND tx_org_downloadscat.deleted = 0 AND tx_org_downloadscat.hidden = 0 ORDER BY tx_org_downloadscat.title',
            ),
            // #69257, 150821, dwildt, +
            'config_filter' => array(
                'type' => 'select',
                'size' => 1,
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadscat'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadscat'
                ),
                'foreign_table' => 'tx_org_downloadscat',
                'foreign_table_where' => 'AND tx_org_downloadscat.' . $str_store_record_conf . ' AND tx_org_downloadscat.deleted = 0 AND tx_org_downloadscat.hidden = 0 ORDER BY tx_org_downloadscat.title',
                'items' => array(
                    'empty' => array(
                        '0' => '',
                        '1' => '',
                    ),
                ),
            ),
        ),
        'tx_org_downloadsmedia' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_downloadsmedia',
            'config' => array(
                'type' => 'select',
                'size' => 10,
                'minitems' => 0,
                'maxitems' => 99,
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadsmedia'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadsmedia'
                ),
                'foreign_table' => 'tx_org_downloadsmedia',
                'foreign_table_where' => 'AND tx_org_downloadsmedia.' . $str_store_record_conf . ' AND tx_org_downloadsmedia.deleted = 0 AND tx_org_downloadsmedia.hidden = 0 ORDER BY tx_org_downloadsmedia.title',
            ),
            // #69257, 150821, dwildt, +
            'config_filter' => array(
                'type' => 'select',
                'size' => 1,
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadsmedia'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_downloadsmedia'
                ),
                'foreign_table' => 'tx_org_downloadsmedia',
                'foreign_table_where' => 'AND tx_org_downloadsmedia.' . $str_store_record_conf . ' AND tx_org_downloadsmedia.deleted = 0 AND tx_org_downloadsmedia.hidden = 0 ORDER BY tx_org_downloadsmedia.title',
                'items' => array(
                    'empty' => array(
                        '0' => '',
                        '1' => '',
                    ),
                ),
            ),
        ),
        'bodytext' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.bodytext',
            'config' => $conf_text_rte,
        ),
        'teaser_title' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.teaser_title',
            'config' => $conf_input_30_trim,
        ),
        'teaser_subtitle' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.teaser_subtitle',
            'config' => $conf_input_30_trim,
        ),
        'teaser_short' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'prefixLangTitle',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.teaser_short',
            'config' => $conf_text_50_10,
        ),
				'teaser_short_for_singleview' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.teaser_short_for_singleview',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
        'thumbnail' => array(
            'exclude' => $bool_exclude_default,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail',
            'config' => orgTcaColumnsMediaFileConfig('thumbnail', $conf_file_one_document, $fal)
        ),
        'thumbnail_width' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_width',
            'config' => array(
                'type' => 'input',
                'size' => '10',
                'max' => '10',
                'eval' => 'trim',
                'checkbox' => '0',
                'default' => ''
            ),
        ),
        'thumbnail_height' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.thumbnail_height',
            'config' => array(
                'type' => 'input',
                'size' => '10',
                'max' => '10',
                'eval' => 'trim',
                'checkbox' => '0',
                'default' => ''
            ),
        ),
// #i0149, 160721, dwildt, -
//    'tx_flipit_layout' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout',
//      'config' => array(
//        'type' => 'select',
//        'items' => array(
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout_item_00',
//            'layout_00',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout_item_01',
//            'layout_01',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout_item_02',
//            'layout_02',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout_item_03',
//            'layout_03',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_layout_item_ts',
//            'ts',
//          ),
//        ),
//        'default' => 'ts',
//      ),
//    ),
//    'tx_flipit_quality' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_quality',
//      'config' => array(
//        'type' => 'select',
//        'items' => array(
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_quality_item_high',
//            'high',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_quality_item_low',
//            'low',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_quality_item_ts',
//            'ts',
//          ),
//        ),
//        'default' => 'ts',
//      ),
//    ),
//    'tx_flipit_pagelist' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_pagelist',
//      'config' => array(
//        'type' => 'input',
//        'size' => '40',
//        'max' => '256',
//        'checkbox' => '',
//        'eval' => 'trim',
//      ),
//    ),
//    'tx_flipit_updateswfxml' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_updateswfxml',
//      'config' => array(
//        'type' => 'select',
//        'items' => array(
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_updateswfxml_item_disabled',
//            'disabled',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_updateswfxml_item_enabled',
//            'enabled',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_updateswfxml_item_ts',
//            'ts',
//          ),
//        ),
//        'default' => 'ts',
//      ),
//    ),
//    'tx_flipit_swf_files' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_swf_files',
//      'config' => array(
//        'type' => 'group',
//        'internal_type' => 'file',
//        'allowed' => 'swf',
//        'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
//        'uploadfolder' => 'uploads/tx_flipit',
//        'show_thumbs' => '1',
//        'size' => '10',
//        'maxitems' => '999',
//        'minitems' => '0',
//      ),
//    ),
//    'tx_flipit_xml_file' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_xml_file',
//      'config' => array(
//        'type' => 'group',
//        'internal_type' => 'file',
//        'allowed' => 'xml',
//        'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
//        'uploadfolder' => 'uploads/tx_flipit',
//        'show_thumbs' => '1',
//        'size' => '1',
//        'maxitems' => '1',
//        'minitems' => '0',
//      ),
//    ),
//    'tx_flipit_fancybox' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_fancybox',
//      'config' => array(
//        'type' => 'select',
//        'items' => array(
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_fancybox_item_disabled',
//            'disabled',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_fancybox_item_enabled',
//            'enabled',
//          ),
//          array(
//            'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_fancybox_item_ts',
//            'ts',
//          ),
//        ),
//        'default' => 'ts',
//      ),
//    ),
//    'tx_flipit_evaluate' => array(
//      'exclude' => 0,
//      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_evaluate',
//      'config' => array(
//        'type' => 'user',
//        'userFunc' => 'tx_org_flexform->evaluate',
//      ),
//    ),
        'tx_org_staff' => array(
            'exclude' => 0,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_org_staff',
            'config' => array(
                'type' => 'select',
                'size' => 20,
                'minitems' => 0,
                'maxitems' => 99,
                'items' => array(
                    '0' => array(
                        '0' => '',
                        '1' => '',
                    ),
                ),
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_staff'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_staff'
                ),
                'foreign_table' => 'tx_org_staff',
                'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
                'selectedListStyle' => $listStyleWidth,
                'itemListStyle' => $listStyleWidth,
            ),
            // #69257, 150821, dwildt, +
            'config_filter' => array(
                'type' => 'select',
                'size' => 1,
                'MM' => 'tx_org_mm_all',
                "MM_match_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_staff'
                ),
                "MM_insert_fields" => array(
                    'table_local' => 'tx_org_downloads',
                    'table_foreign' => 'tx_org_staff'
                ),
                'foreign_table' => 'tx_org_staff',
                'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
                'items' => array(
                    'empty' => array(
                        '0' => '',
                        '1' => '',
                    ),
                ),
            ),
        ),
        'price' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 0,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.price',
            'config' => array(
                'type' => 'input',
                'size' => '30',
                'eval' => 'double2,nospace',
            )
        ),
        'tax' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 0,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.0', '1'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.1', '2'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax.I.2', '0'),
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required',
            )
        ),
        'stockmanagement' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 1,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockmanagement',
            'config' => array(
                'type' => 'check',
                'default' => 0,
            )
        ),
        'stockquantity' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 1,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockquantity',
            'config' => array(
                'type' => 'input',
                'size' => '10',
                'eval' => 'int',
                'default' => 1
            )
        ),
        'stockprompt' => array(
            'l10n_mode' => 'exclude',
            'exclude' => 0,
            'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.priceonapplication', 'application'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.booked', 'booked'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.negotiation', 'negotiation'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.notavailable', 'notavailable'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.notinstock', 'notinstock'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.onapplication', 'onapplication'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.refit', 'refit'),
                    array('LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt.selled', 'selled'),
                ),
                'default' => 'selled',
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required',
            )
        ),
        'pages' => $conf_pages,
        'hidden' => $conf_hidden,
        'topitem' => $conf_topitem,
        'starttime' => $conf_starttime,
        'endtime' => $conf_endtime,
				'fe_cruser_id' => $conf_fecruserid,
        'seo_keywords' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
            'l10n_mode' => 'prefixLangTitle',
            'config' => $conf_input_80_trim,
        ),
        'seo_description' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
            'l10n_mode' => 'prefixLangTitle',
            'config' => $conf_text_50_10,
        ),
        'statistics_hits' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits',
            'config' => array(
                'type' => 'none',
                'size' => '10',
            ),
        ),
        'statistics_visits' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits',
            'config' => array(
                'type' => 'none',
                'size' => '10',
            ),
        ),
        'statistics_downloads' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads',
            'config' => array(
                'type' => 'none',
                'size' => '10',
            ),
        ),
        'statistics_downloads_by_visits' => array(
            'exclude' => $bool_exclude_default,
            'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads_by_visits',
            'config' => array(
                'type' => 'none',
                'size' => '10',
            ),
        ),
    ),
    'types' => array(
        'download' => array('showitem' =>
            ''
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
            . '  type,title;;;;1-1-1,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
            . '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
            . orgTcaTypesMedia('tx_org_downloads', $fal, 'download')
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
            . '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
            . '  tx_org_staff,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
            . '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
            . '  seo_keywords,seo_description;;;;7-7-7, description,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics;statistics,'
            . ''),
        'download_shipping' => array('showitem' =>
            '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
            . '  type,title;;;;1-1-1,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
            . '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
            . orgTcaTypesMedia('tx_org_downloads', $fal, 'download_shipping')
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
            . '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
            . '  tx_org_staff,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
            . '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
            . '  seo_keywords,seo_description;;;;7-7-7, description,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics;statistics,'
            . ''),
        'shipping' => array('showitem' =>
            '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_doc,'
            . '  type,title;;;;1-1-1,subtitle,datetime,filterPrompt,tx_org_downloadscat,tx_org_downloadsmedia,bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_teaser,'
            . '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short,teaser_short_for_singleview,'
// #t0773, 160720, dwildt, 1+
            . orgTcaTypesMedia('tx_org_downloads', $fal, 'shipping')
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_pricestock,'
            . '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
            . '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.palette.stockmanagement;stockmanagement,'
// #i0149, 160721, dwildt, -
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_flipit,'
//      . '  tx_flipit_layout,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_quality,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_files;tx_flipit_files,'
//      . '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.tx_flipit_fancybox;tx_flipit_fancybox,'
//      . '  tx_flipit_evaluate,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_feuser,      fe_user,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_staff,'
            . '  tx_org_staff,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_control,'
            . '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_seo,'
            . '  seo_keywords,seo_description;;;;7-7-7, description,'
            . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.div_statistics,  '
            . '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.statistics_shipping;statistics_shipping,'
            . ''),
    ),
    'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
        'price' => array(
            'showitem' => 'price;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.price,tax;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tax,',
            'canNotCollapse' => 1,
        ),
        'statistics' => array(
            'showitem' => 'statistics_hits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits,statistics_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits,statistics_downloads;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads,statistics_downloads_by_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_downloads_by_visits',
            'canNotCollapse' => 1,
        ),
        'statistics_shipping' => array(
            'showitem' => 'statistics_hits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_hits,statistics_visits;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.statistics_visits',
            'canNotCollapse' => 1,
        ),
        'stockmanagement' => array(
            'showitem' => ''
            . 'stockmanagement;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockmanagement,'
            . 'stockquantity;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockquantity,'
            . 'stockprompt;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.stockprompt,'
            ,
            'canNotCollapse' => 1,
        ),
//    'tx_flipit_fancybox' => array(
//      'showitem' => 'tx_flipit_fancybox;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_fancybox',
//      'canNotCollapse' => 1,
//    ),
//    'tx_flipit_files' => array(
//      'showitem' => 'tx_flipit_updateswfxml;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_updateswfxml, --linebreak--,'
//      . 'tx_flipit_xml_file;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_xml_file, --linebreak--,'
//      . 'tx_flipit_swf_files;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_swf_files',
//      'canNotCollapse' => 1,
//    ),
//    'tx_flipit_quality' => array(
//      'showitem' => 'tx_flipit_quality;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_quality,'
//      . 'tx_flipit_pagelist;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloads.tx_flipit_pagelist',
//      'canNotCollapse' => 1,
//    ),
    ),
);

// #t0773, 160721, dwildt, 2+
$tx_org_downloads['columns'] = (array) $tx_org_downloads['columns'] + (array) orgTcaColumnsMedia('tx_org_downloads', 'documents', $conf_file_one_document, $conf_input_80_trim, $fal)
;
$tx_org_downloads['ctrl'] = (array) $tx_org_downloads['ctrl'] + (array) orgTcaColumnsTypeicons('tx_org_downloads', $fal)
;
$tx_org_downloads['palettes'] = (array) $tx_org_downloads['palettes'] + (array) orgTcaPalettesMedia($fal)
;

return $tx_org_downloads;
