<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/iconMedium.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_downloadscat = array (
  'ctrl' => array (
    'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat',
    'label' => 'title',
    'tstamp' => 'tstamp',
    'crdate' => 'crdate',
    // #i0071, 150822, dwildt, 1-
    //'sortby' => 'sorting',
    'delete' => 'deleted',
    'enablecolumns' => array (
      'disabled' => 'hidden',
    ),
    'hideAtCopy' => false,
    'dividers2tabs' => true,
    'thumbnail' => 'image',
    'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_downloads.gif',
    'type' => 'type',
    'typeicon_column' => 'type',
    'searchFields' => ''
    . 'type,'
    . 'title,title_lang_ol,text,text_lang_ol,'
    . 'color,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconMediumSearchFields( $fal )
    . 'hidden'
  ,
  ),
  'interface' => array (
    'showRecordFieldList' => ''
    . 'type,'
    . 'title,title_lang_ol,text,text_lang_ol,'
    . 'color,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconMediumSearchFields( $fal )
    . 'hidden'
  ,
  ),
  'columns' => array (
    'type' => array (
      'exclude' => $bool_exclude_default,
      'l10n_mode' => 'exclude',
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.type',
      'config' => array (
        'type' => 'select',
        'items' => array (
          'cat_text' => array (
            '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.type.cat_text',
            '1' => 'cat_text',
            '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_text.gif',
          ),
          'cat_color' => array (
            '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.type.cat_color',
            '1' => 'cat_color',
            '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_color.gif',
          ),
          'cat_image' => array (
            '0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.type.cat_image',
            '1' => 'cat_image',
            '2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/cat_image.gif',
          ),
        ),
        'default' => 'cat_text',
      ),
    ),
    'title' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.title',
      'config' => $conf_input_30_trimRequired,
    ),
    'title_lang_ol' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.title_lang_ol',
      'config' => $conf_input_30_trim,
    ),
    'text' => array (
      'exclude' => $bool_exclude_default,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.text',
      'config' => $conf_text_30_05,
    ),
    'text_lang_ol' => array (
      'exclude' => $bool_exclude_default,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.text_lang_ol',
      'config' => $conf_text_30_05,
    ),
    'color' => array (
      'l10n_mode' => 'exclude',
      'exclude' => $bool_exclude_default,
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.color',
      'config' => $arr_wizard_color,
    ),
    'hidden' => $conf_hidden,
  ),
  'types' => array (
    'cat_text' => array ( 'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_cat,'
      . '  type,title;;1;;1-1-1,text;;2;;2-2-2,'
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_control, '
      . '  hidden'
    )
    ,
    'cat_color' => array ( 'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_cat,'
      . '  type,title;;1;;1-1-1,text;;2;;2-2-2,'
      // #t0167, 161212, dwildt, 1+/2-
      . orgTcaTypesIconMedium( 'icon', $fal )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_color,'
//      . '  color,'
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_seo, '
      . '  imageseo,imageseo_lang_ol,'
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_control,'
      . '  hidden'
    )
    ,
    'cat_image' => array ( 'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_cat,'
      . '  type,title;;1;;1-1-1,text;;2;;2-2-2,'
      // #t0773, 160720, dwildt, 1+
      . orgTcaTypesIconMedium( 'image', $fal )
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_control, '
      . '  hidden'
    )
  ,
  ),
  'palettes' => array (
    '1' => array ( 'showitem' => 'title_lang_ol' ),
    '2' => array ( 'showitem' => 'text_lang_ol' ),
    '3' => array ( 'showitem' => 'imageseo_lang_ol' ),
  ),
);

// #t0773, 160720, dwildt, 2+
$tx_org_downloadscat[ 'columns' ] = ( array ) $tx_org_downloadscat[ 'columns' ]
  + ( array ) orgTcaColumnsIconMedium( $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal );
$tx_org_downloadscat[ 'ctrl' ] = ( array ) $tx_org_downloadscat[ 'ctrl' ]
  + ( array ) orgTcaColumnsTypeicons( 'tx_org_downloadscat', $fal )
;
$tx_org_downloadscat[ 'palettes' ] = ( array ) $tx_org_downloadscat[ 'palettes' ]
  + ( array ) orgTcaPalettesIconMedium( $fal );

return $tx_org_downloadscat;

