<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/icon.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_jobcat = array(
  'ctrl' => array(
    'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_jobcat',
    'label' => 'title',
    'tstamp' => 'tstamp',
    'crdate' => 'crdate',
    'cruser_id' => 'cruser_id',
    'default_sortby' => 'ORDER BY title',
    'delete' => 'deleted',
    'enablecolumns' => array(
      'disabled' => 'hidden',
    ),
    'dividers2tabs' => true,
    'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('org') . 'Resources/Public/Images/Icons/ExtIcon/tx_org_job.gif',
    'thumbnail' => 'icons',
    'searchFields' => ''
    . 'title,title_lang_ol'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    ,
  ),
  'interface' => array(
    'showRecordFieldList' => ''
    . 'title,title_lang_ol,uid_parent,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    . 'hidden,'
  ,
  ),
  'columns' => array(
    'title' => array(
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_jobcat.title',
      'config' => array(
        'type' => 'input',
        'size' => '30',
        'eval' => 'required,trim',
      )
    ),
    'title_lang_ol' => array(
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.title_lang_ol',
      'config' => array(
        'type' => 'input',
        'size' => '30',
        'eval' => 'trim',
      )
    ),
    'uid_parent' => orgUidParent(
            'LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_jobcat.uid_parent', 'tx_org_jobcat'
    ),
    'hidden' => array(
      'exclude' => 1,
      'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
      'config' => array(
        'type' => 'check',
        'default' => '0'
      )
    ),
  ),
  'types' => array(
    '0' => array(
      'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_jobcat.div_category,'
      . '  title;;1;;,uid_parent,'
      // #t0773, 160720, dwildt, 1+
      . orgTcaTypesIcon( $fal )
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_job.xml:tx_org_jobcat.div_control,'
      . '  hidden'
    ,
    ),
  ),
  'palettes' => array(
    '1' => array( 'showitem' => 'title_lang_ol,' ),
  )
);

// #t0773, 160720, dwildt, 1+
$tx_org_jobcat[ 'columns' ] = ( array ) $tx_org_jobcat[ 'columns' ] + ( array ) orgTcaColumnsIcon( $conf_file_image, $fal );

return $tx_org_jobcat;
