plugin.tx_browser_pi1 {
  views {
    list {
      201 {
        htmlSnippets {
          subparts {
            listview {
              10 {
                // empty statement for proepr comments only
                20 {
                }
                  // tbody: td
                20 = COA
                20 {
                    // tx_org_cal.image
                  30 = COA
                  30 {
                      // if 30.enabled is true (here: "{$plugin.org.templates.cal.table.30.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.30.enabled}
                    }
                      // tx_org_cal.image
                    20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
                    20 {
                      tx_org_event < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.6
                    }
                    wrap = <td class="tx_org_cal__image hide-for-small-only">|</td>
                  }
                    // tx_org_cal.title
                  31 = COA
                  31 {
                      // if 31.enabled is true (here: "{$plugin.org.templates.cal.table.31.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.31.enabled}
                    }
                      // tx_org_cal.title
                    20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
                    wrap = <td class="tx_org_cal__title">|</td>
                  }
                    // distance, tx_org_location.mail_city
                  37 = COA
                  37 {
                      // if 37.enabled is true (here: "{$plugin.org.templates.cal.table.37.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.37.enabled}
                    }
                      // distance
                    10 < plugin.tx_radialsearch.masterTemplates.linearDistanceString
                      // tx_org_location.mail_city
                    20 = TEXT
                    20 {
                      field = tx_org_location.mail_city
                    }
                    wrap = <td class="tx_org_location__mail_city">|</td>
                  }
                    // tx_org_cal.datetime (date)
                  40 = COA
                  40 {
                      // if 40.enabled is true (here: "{$plugin.org.templates.cal.table.40.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.40.enabled}
                    }
                      // tx_org_cal.datetime
                    20 = TEXT
                    20 {
                      field = tx_org_cal.datetime
                      strftime = {$plugin.org.templates.cal.table.40.td.strftime}
                    }
                    wrap = <td class="tx_org_cal__datetime">|</td>
                  }
                    // from tx_org_cal.datetime to tx_org_cal.datetimeend
                  41 = COA
                  41 {
                      // if 41.enabled is true (here: "{$plugin.org.templates.cal.table.41.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.41.enabled}
                    }
                      // from tx_org_cal.datetime to tx_org_cal.datetimeend
                    20 < temp.tx_org_cal.dateline.list
                    wrap = <td class="tx_org_cal__datetime_datetimeend">|</td>
                  }
                    // tx_org_cal.length
                  50 = COA
                  50 {
                      // if 50.enabled is true (here: "{$plugin.org.templates.cal.table.50.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.50.enabled}
                    }
                      // tx_org_cal.length
                    20 = TEXT
                    20 {
                      field = tx_org_cal.length
                    }
                    wrap = <td class="tx_org_cal__length hide-for-small-only">|</td>
                  }
                    // tx_org_cal.datetime (begin)
                  60 = COA
                  60 {
                      // if 60.enabled is true (here: "{$plugin.org.templates.cal.table.60.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.60.enabled}
                    }
                      // tx_org_cal.datetime
                    20 = TEXT
                    20 {
                      field = tx_org_cal.datetime
                      strftime = {$plugin.org.templates.cal.table.60.td.strftime}
                    }
                    wrap = <td class="begin hide-for-small-only">|</td>
                  }
                    // tx_org_caltype
                  65 = COA
                  65 {
                      // if 20.enabled is true (here: "{$plugin.org.templates.cal.table.20.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.20.enabled}
                    }
                      // tx_org_caltype.title
                    20 = TEXT
                    20 {
                      field = tx_org_caltype.title
                    }
                    wrap = <td class="tx_org_caltype hide-for-small-only">|</td>
                  }
                    // tx_org_cal.price
                  70 = COA
                  70 {
                      // if 70.enabled is true (here: "{$plugin.org.templates.cal.table.70.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.70.enabled}
                    }
                      // tx_org_cal.price
                    20 = TEXT
                    20 {
                      field = tx_org_cal.price
                      stdWrap {
                        numberFormat {
                          decimals = {$plugin.org.currency.decimals}
                          dec_point {
                            cObject = TEXT
                            cObject {
                              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.dec_point
                            }
                          }
                          thousands_sep {
                            cObject = TEXT
                            cObject {
                              data = LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.currency.thousands_sep
                            }
                          }
                        }
                        noTrimWrap = || {$plugin.org.currency.symbol}|
                      }
                    }
                    wrap = <td class="tx_org_cal__price">|</td>
                  }
                    // Caddy
                  80 = COA
                  80 {
                      // if 80.enabled is true (here: "{$plugin.org.templates.cal.table.80.enabled}")
                    if =
                    if {
                      isTrue = {$plugin.org.templates.cal.table.80.enabled}
                    }
                      // Caddy button
                    20 = COA
                    20 {
                        // true, if plugin.org.templates.cal.caddybutton.list is true (here: "{$plugin.org.templates.cal.caddybutton.list}")
                      if =
                      if {
                        isTrue = {$plugin.org.templates.cal.caddybutton.list}
                      }
                        // true, if: (tx_org_calentrance.uid is true AND plugin.org.templates.cal.variants.tx_org_calentrance.enabled is enabled) OR plugin.org.templates.cal.variants.tx_org_calentrance.enabled IS NOT enabled
                      10 = COA
                      10 {
                          // true, if: (tx_org_calentrance.uid is true AND plugin.org.templates.cal.variants.tx_org_calentrance.enabled is enabled) OR plugin.org.templates.cal.variants.tx_org_calentrance.enabled IS NOT enabled
                        if < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled
                          // caddy button
                        10 < plugin.tx_org.templates.201.form
                        10.10.10.20.30.90.10.data >
                        10.10.10.20.30.90.10.value = &nbsp;
                          // Development only!
                        XXXDEV11 < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled.equals.stdWrap.cObject.10.if.equals.stdWrap.cObject
                        XXXDEV11.wrap = <h1>10:|</h1>
                          // Development only!
                        XXXDEV12 = COA
                        XXXDEV12.10 < plugin.tx_org.settings.rules.tx_org_cal.caddyButtonIsEnabled.equals.stdWrap.cObject.20
                        XXXDEV12.wrap = <h1>20:|</h1>
                      }
                    }
                    wrap = <td class="caddy hide-for-small-only">|</td>
                  }
                    // <tbody><tr>|</tr></tbody>
                  wrap =
                  wrap {
                    stdWrap =
                    stdWrap {
                      cObject = COA
                      cObject {
                        10 = COA
                        10 {
                          10 < plugin.tx_radialsearch.masterTemplates.htmlClass
                          wrap = <tbody><!-- ###LISTBODY### begin --><!-- ###LISTBODYITEM### begin --><tr class="|">
                        }
                        20 = TEXT
                        20 {
                          value = |
                        }
                        30 = TEXT
                        30 {
                          value = </tr><!-- ###LISTBODYITEM### end --><!-- ###LISTBODY### end --></tbody>
                        }
                      }
                    }
                  }
                  XXXwrap =
                  XXXwrap (
                    <tbody>
                      <!-- ###LISTBODY### begin --><!-- ###LISTBODYITEM### begin -->
                      <tr>
                        |
                      </tr><!-- ###LISTBODYITEM### end --><!-- ###LISTBODY### end -->
                    </tbody>
)
                }
              }
            }
          }
        }
      }
    }
  }
}