
// plugin.tx_browser_pi1
// [globalVar = GP:tx_browser_pi1|calendarUid > 0]
//   plugin.tx_browser_pi1.map.design


plugin.tx_browser_pi1 {
  jQuery {
    plugin {
      jstree {
					// #i0211, 170320, dwildt, ~
				enable				= 0
        tablefield_01 = tx_org_caltype.title
      }
    }
  }
  map {
    aliases {
      showUid {
        marker = calendarUid
      }
    }
    controlling {
      enabled = Map
    }
    design {
      height  = 210
      height {
        single = 200
      }
      path {
        categoryIcon  = uploads/tx_org/
      }
    }
    leafletcontrolling {
      overlays = 0
    }
    marker {
      field {
        linktoSingle      = tx_org_cal.uid
        latitude          = tx_org_location.mail_lat
        longitude         = tx_org_location.mail_lon
        description       = tx_org_cal.title
        category          = tx_org_caltype.title
        categoryIcon      = tx_org_caltype.icons
        categoryOffsetX   = tx_org_caltype.icon_offset_x
        categoryOffsetY   = tx_org_caltype.icon_offset_y
      }
    }
    toggle.enable = 1
  }
  navigation {
    showUid = calendarUid
  }
  radialsearch {
    lat = tx_org_location.mail_lat
    lon = tx_org_location.mail_lon
    uid = tx_org_location.uid
  }
  templates {
    listview {
      header {
        0 {
          field   = tx_org_cal.teaser_title // tx_org_cal.title
        }
        6 {
          crop    = 20|...|1
          field   = tx_org_cal.teaser_title // tx_org_cal.title
          tag     = h2
        }
      }
      image {
        0 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_cal_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_cal.image // tx_org_event.image
					height				= imageheight
          heightDefault = 95c
          path      = uploads/tx_org/
          seo       = tx_org_cal.imageseo // tx_org_event.imageseo
          // internal #t0774
          table     = tx_org_cal
					width 				= imagewidth
          widthDefault	= 95
        }
        6 {
          // internal #t0774
          field     = image
          file      = tx_org_cal.image // tx_org_event.image
					height				= imageheight
          heightDefault = 95c
          path      = uploads/tx_org/
          seo       = tx_org_cal.imageseo // tx_org_event.imageseo
          // internal #t0774
          table     = tx_org_cal
					width 				= imagewidth
          widthDefault	= 95
        }
      }
      text {
        0 {
          crop    = 200|...|1
          field   = tx_org_cal.teaser_short // tx_org_event.teaser_short // tx_org_cal.bodytext // tx_org_event.bodytext
        }
        6 {
          crop    = 200|...|1
          field   = tx_org_cal.teaser_short // tx_org_event.teaser_short // tx_org_cal.bodytext // tx_org_event.bodytext
        }
      }
			textmap {
				0 {
					field {
						datetime	= tx_org_cal.datetime
						text			= tx_org_location.mail_city // tx_org_location.title
					}
				}
			}
      url {
        0 {
          key       = tx_org_cal.type
          page      = tx_org_cal.page
          record    = tx_org_cal.uid
          showUid   = calendarUid
          singlePid =
          url       = tx_org_cal.url
        }
        6 {
          key       = tx_org_event.type
          page      = tx_org_event.page
          record    = tx_org_event.uid
          showUid   = eventUid
          singlePid =
          url       = tx_org_event.url
        }
      }
    }
    singleview {
      image {
        XXX0 {
          caption     = tx_org_event.imagecaption // tx_org_cal.imagecaption
          // internal #t0774
          field       = image
          firstForListOnly  = tx_org_cal.image_1stforlistonly
          file        = tx_org_event.image // tx_org_cal.image
          height      = tx_org_event.imageheight // tx_org_cal.imageheight
          imagecols   = tx_org_event.imagecols // tx_org_cal.imagecols
          imageorient = tx_org_event.imageorient // tx_org_cal.imageorient
          layoutKey   = data
          path        = uploads/tx_org/
          seo         = tx_org_event.imageseo // tx_org_cal.imageseo
          // internal #t0774
          table       = tx_org_cal
          width       = tx_org_event.imagewidth // tx_org_cal.imagewidth
          zoom        = tx_org_event.image_zoom // tx_org_cal.image_zoom
        }
        0 {
          caption     = tx_org_cal.imagecaption
          // internal #t0774
          field       = image
          firstForListOnly  = tx_org_cal.image_1stforlistonly
          file        = tx_org_cal.image
          height      = tx_org_cal.imageheight
          imagecols   = tx_org_cal.imagecols
          imageorient = tx_org_cal.imageorient
          layoutKey   = data
          path        = uploads/tx_org/
          seo         = tx_org_cal.imageseo
          // internal #t0774
          table       = tx_org_cal
          width       = tx_org_cal.imagewidth
          zoom        = tx_org_cal.image_zoom
        }
      }
    }
  }
}

[globalVar = GP:tx_browser_pi1|calendarUid > 0]
  plugin.tx_browser_pi1 {
    map {
      zoomLevel {
        mode  = fixed
        start = 10
      }
    }
  }
[global]