plugin.tx_browser_pi1 {
  views {
    list {
      201 {
        filter {
          radialsearch < plugin.tx_browser_pi1.displayList.master_templates.radialsearch
					radialsearch {
						content {
							if {
								isTrue = {$plugin.org.filter.tx_org_cal.radialsearch}
							}
						}
					}
          tx_org_cal {
            datetime < plugin.tx_browser_pi1.displayList.master_templates.category_menu
            datetime {
              condition >
              condition = TEXT
              condition {
                value = {$plugin.org.filter.tx_org_cal.datetime}
              }
							// #i0238, 170514, dwildt, 1+
              count_hits = {$plugin.org.filter.tx_org_cal.datetime.count_hits}
              first_item {
                cObject {
                  20 {
                    data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.calendar
                  }
                }
              }
							// #i0239, 170514, dwildt, 1-/+
              //wrap = <span class="selectbox">|</span>
              wrap = {$plugin.org.filter.tx_org_cal.datetime.wrap}
              order.field = uid
              area < plugin.tx_browser_pi1.displayList.master_templates.areas.sample_period
              area {
                interval {
                  case = year
                }
              }
            }
            datetime >
            datetime < plugin.tx_browser_pi1.displayList.master_templates.selectbox
            datetime {
              condition >
              condition = TEXT
              condition {
                value = {$plugin.org.filter.tx_org_cal.datetime}
              }
							// #i0238, 170514, dwildt, 1+
              count_hits = {$plugin.org.filter.tx_org_cal.datetime.count_hits}
              first_item {
                cObject {
                  20 {
                    data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.calendar
                  }
                }
              }
							// #i0239, 170514, dwildt, 1-/+
              //wrap = <span class="selectbox">|</span>
              wrap = {$plugin.org.filter.tx_org_cal.datetime.wrap}
              wrap {
                item {
                  cObject {
                    20 {
                      crop = 30 | ... | 1
                    }
                  }
                }
              }
              order.field = uid
              area < plugin.tx_browser_pi1.displayList.master_templates.areas.sample_period
              area {
                interval {
                  case = year
                }
              }
            }
            fe_cruser_id < plugin.tx_browser_pi1.displayList.master_templates.selectbox
						fe_cruser_id.wrap.item.cObject.20 {
							field >
							data = TSFE:fe_user|user|username
							override {
								data = TSFE:fe_user|user|name
							}
						}
          }
          tx_org_caltype >
          tx_org_caltype {
            // #43641, dwildt, 1-, 1+
            title < plugin.tx_browser_pi1.displayList.master_templates.selectbox
            //title < plugin.tx_browser_pi1.displayList.master_templates.treeview
            title {
              condition >
              condition = TEXT
              condition {
                value = {$plugin.org.filter.tx_org_cal.tx_org_caltype}
              }
							// #i0238, 170514, dwildt, 1+
              count_hits = {$plugin.org.filter.tx_org_cal.tx_org_caltype.count_hits}
#              treeview {
#                enabled {
#                  value = 1
#                }
#                html_id {
#                  value = {$plugin.tx_browser_pi1.jQuery.plugin.jstree.selector_01}
#                }
#              }
              first_item {
                cObject {
                  20 {
                    data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.caltype.title
                  }
                }
              }
							// #i0239, 170514, dwildt, 1-/+
              //wrap = <span class="selectbox">|</span>
              wrap = {$plugin.org.filter.tx_org_cal.tx_org_caltype.wrap}
            }
          }
          tx_org_location {
            title < plugin.tx_browser_pi1.displayList.master_templates.selectbox
            title {
              condition >
              condition = TEXT
              condition {
                value = {$plugin.org.filter.tx_org_cal.tx_org_location}
              }
							// #i0238, 170514, dwildt, 1+
              count_hits = {$plugin.org.filter.tx_org_cal.tx_org_location.count_hits}
              first_item {
                cObject {
                  20 {
                    data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.location
                  }
                }
              }
							// #i0239, 170514, dwildt, 1-/+
              //wrap = <span class="selectbox">|</span>
              wrap = {$plugin.org.filter.tx_org_cal.tx_org_location.wrap}
              wrap {
                item {
                  cObject {
                    20 {
                      crop = 30 | ... | 1
                    }
                  }
                }
              }
            }
          }
          tx_org_staff {
            title < plugin.tx_browser_pi1.displayList.master_templates.selectbox
            title {
              condition >
              condition = TEXT
              condition {
                value = {$plugin.org.filter.tx_org_cal.tx_org_staff}
              }
							// #i0238, 170514, dwildt, 1+
              count_hits = {$plugin.org.filter.tx_org_cal.tx_org_staff.count_hits}
              first_item {
                cObject {
                  20 {
                    data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:filter_phrase.staff
                  }
                }
              }
							// #i0239, 170514, dwildt, 1-/+
              //wrap = <span class="selectbox">|</span>
              wrap = {$plugin.org.filter.tx_org_cal.tx_org_staff.wrap}
              wrap {
                item {
                  cObject {
                    20 {
                      crop = 30 | ... | 1
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}