plugin.tx_browser_pi1 {
  views {
    single {
      201 {
          // 140706: empty statement: for proper comments only
        tx_org_cal {
        }
          // deleted (placeholder for tx_org_location
        tx_org_cal =
        tx_org_cal {
            // location marginal box: header, content
          tx_org_location = COA
          tx_org_location {
            if {
              isTrue {
                field = tx_org_cal.tx_org_location
              }
            }
              // vcard: header, name, contact_email, contact_phone, contact_fax, contact_skype, mail_url,
            10 = COA
            10 {
                // column: header; title, steet, zip city, url
              10 = COA
              10 {
                wrap = <ul class="vcard tx_org_location">|</ul><!-- vcard -->
                  // header
                10 = TEXT
                10 {
                  data = LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_location
                  wrap = <li class="header">|</li>
                }
                  // tx_org_location
                20 = COA
                20 {
                  10 = CONTENT
                  10 {
                    table = tx_org_location
                    select {
                      pidInList = {$plugin.org.sysfolder.location}
											recursive = {$plugin.org.sysfolder.location.recursive}
                      join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_location.uid
                      where {
                        data        = GP:tx_browser_pi1|calendarUid
                        intval      = 1
                        noTrimWrap  = |tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_foreign = 'tx_org_location' AND tx_org_mm_all.table_local = 'tx_org_cal'|
                      }
                    }
                      // tx_org_cal.title croped and linked
                    renderObj = COA
                    renderObj {
                        // title (linked)
                      30 = CASE
                      30 {
                        key {
                          field = {$plugin.tx_browser_pi1.templates.listview.url.4.key}
                        }
                        default = TEXT
                        default {
                          field = title // tx_org_location.title
                          wrap = <li class="fn">|</li>|
                          stdWrap {
                            noTrimWrap = || &raquo;|
                          }
                          required = 1
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.default
                        }
                        notype = TEXT
                        notype {
                          stdWrap >
                        }
                        page < .default
                        page {
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.page
                        }
                        url < .page
                        url {
                          typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.4.url
                        }
                      }
                        // city
                      41 = COA
                      41 {
                        if {
                          isTrue {
                            cObject = COA
                            cObject {
                                // mail_postcode
                              10 = TEXT
                              10 {
                                field = mail_postcode
                              }
                                // mail_city
                              20 = TEXT
                              20 {
                                field = mail_city
                              }
                            }
                          }
                        }
                          // mail_city
                        20 = TEXT
                        20 {
                          if {
                            isTrue {
                              field = mail_city
                            }
                          }
                          field = mail_city
                          noTrimWrap = || |
                        }
                        wrap = <li class="city">|</li>
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}