plugin.tx_browser_pi1 {
  views {
    list {
      211 {
        tx_org_cal {
            // dateline, title
          title = COA
          title {
							// Counter211
						9 = LOAD_REGISTER
						9 {
							Counter211 {
								cObject = TEXT
								cObject {
									data = register:Counter211
									wrap = |+1
								}
								prioriCalc = intval
							}
						}
							// dateline
						10 = TEXT
						10 {
							field     = tx_org_cal.datetime
							strftime  = %d. %b, %H:%M
							postCObject = TEXT
							postCObject {
								value = h
								lang {
									de = Uhr
									en = h
								}
								noTrimWrap = | ||
							}
							wrap = <div class="datetime">|</div>
						}
							// title
						20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.5
						20 {
							default {
								field := prependString(tx_org_cal.marginal_title // )
								wrap >
							}
							notype {
								field := prependString(tx_org_cal.marginal_title // )
								wrap >
							}
							page {
								field := prependString(tx_org_cal.marginal_title // )
								wrap >
							}
							url {
								field := prependString(tx_org_cal.marginal_title // )
								wrap >
							}
							wrap = <div class="title">|</div>
						}
							// tx_org_cal.subtitle
						21 = TEXT
						21 {
							field = tx_org_event.teaser_subtitle // tx_org_event.subtitle // tx_org_cal.marginal_subtitle // tx_org_cal.teaser_subtitle // tx_org_cal.subtitle
							wrap = <div class="subtitle">|</div>
							required = 1
						}
							// depends on Counter211: <div class="record">|</div> || <div class="toggle-211" style="display:none;"><div class="record">|</div></div>
						wrap =
						wrap {
								// cObject: 10, 20
							stdWrap =
							stdWrap {
									// 10: Counter211 < 4, 20: Counter211 > 3
								cObject = COA
								cObject {
										// if Counter211 is less than 4:
									10 = TEXT
									10 {
											// if Counter211 is less than 4: <div class="record">|</div>
										if =
										if {
											value.data = register:Counter211
											isGreaterThan = 4
										}
										value = <div class="record">|</div>
									}
										// if Counter211 is greater than 3: <div class="toggle-211" style="display:none;"><div class="record">|</div></div>
									20 = TEXT
									20 {
											// if Counter211 is greater than 3
										if =
										if {
											value.data = register:Counter211
											isLessThan = 3
										}
										value = <div class="record toggle-211" style="display:none;">|</div>
									}
								}
							}
						}
					}
				}
      }
    }
  }
}