plugin.tx_browser_pi1 {
  jQuery {
    plugin {
      jstree {
				enable				= 1
        tablefield_01 = tx_org_headquarters.title
        tablefield_02 = tx_org_headquarterscat.title
      }
    }
  }
  map {
    aliases {
      showUid {
        marker = headquartersUid
      }
    }
    controlling {
      enabled = Map
    }
    design {
      height  = 422
      path {
        categoryIcon  = uploads/tx_org/
      }
    }
    icon {
      listNum {
        categoryIconMap       = 1
        categoryIconMapSingle = 2
      }
    }
    marker {
      field {
        linktoSingle      = tx_org_headquarters.uid
        latitude          = tx_org_headquarters.mail_lat
        longitude         = tx_org_headquarters.mail_lon
        description       = tx_org_headquarters.title
        category          = tx_org_headquarterscat.title
        categoryIcon      = tx_org_headquarterscat.icons
        categoryOffsetX   = tx_org_headquarterscat.icon_offset_x
        categoryOffsetY   = tx_org_headquarterscat.icon_offset_y
      }
    }
    mobileTouchscreen = 1
    provider {
      default = googleRoadmap
    }
    toggle.enable = 1
  }
  navigation {
    showUid = headquartersUid
  }
  radialsearch {
    lat = tx_org_headquarters.mail_lat
    lon = tx_org_headquarters.mail_lon
    uid = tx_org_headquarters.uid
  }
  templates {
    listview {
      header {
        0 {
          field   = tx_org_headquarters.teaser_title // tx_org_headquarters.title
        }
      }
      image {
        0 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_headquarters_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_headquarters.image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_headquarters.imageseo
          // internal #t0774
          table     = tx_org_headquarters
					width 				= imagewidth
          widthDefault	= 220
        }
      }
      text {
        0 {
          field   = tx_org_headquarters.teaser_short // tx_org_headquarters.bodytext
        }
      }
      url {
        0 {
          key       = tx_org_headquarters.type // type
          page      = tx_org_headquarters.page // page
          record    = tx_org_headquarters.uid // uid
          showUid   = headquartersUid
          singlePid =
          url       = tx_org_headquarters.url // url
        }
      }
    }
    singleview {
      image {
        0 {
          caption       = tx_org_headquarters.imagecaption
          // internal #t0774
          field         = image
          firstForListOnly  = tx_org_headquarters.image_1stforlistonly
          file          = tx_org_headquarters.image
          height        = tx_org_headquarters.imageheight
          imagecols     = tx_org_headquarters.imagecols
          imageorient   = tx_org_headquarters.imageorient
          path          = uploads/tx_org/
          seo           = tx_org_headquarters.imageseo
          // internal #t0774
          table         = tx_org_headquarters
          width         = tx_org_headquarters.imagewidth
          widthDefault  = 300
          zoom          = tx_org_headquarters.image_zoom
        }
      }
    }
  }
}