//plugin.tx_browser_pi1.map.controlling.enabled = Map

plugin.tx_browser_pi1 {
  jQuery {
    plugin {
      jstree {
				enable				= 1
        tablefield_01 = tx_org_jobcat.title
        tablefield_02 = tx_org_jobsector.title
        tablefield_03 = tx_org_jobworkinghours.title
        tablefield_04 = tx_org_headquarters.title
      }
    }
  }
  map {
    aliases {
      showUid {
        marker = jobUid
      }
    }
    controlling {
      enabled = Map
      provider = GoogleMaps
    }
    design {
      path {
        categoryIcon  = uploads/tx_org/
      }
      height  = 415
      width   = 470
    }
    icon {
      listNum {
        categoryIconMap       = 0
        categoryIconMapSingle = 0
      }
    }
    marker {
      field {
        linktoSingle      = tx_org_job.uid
        latitude          = tx_org_job.mail_lat
        longitude         = tx_org_job.mail_lon
        description       = tx_org_job.title
        category          = tx_org_jobcat.title
        categoryIcon      = tx_org_jobcat.icons
        categoryOffsetX   = tx_org_jobcat.icon_offset_x
        categoryOffsetY   = tx_org_jobcat.icon_offset_y
      }
    }
    mobileTouchscreen = 1
    popup {
      image {
        height = 60
        width =
      }
    }
    toggle.enable = 1
  }
  navigation {
    showUid = jobUid
  }
  radialsearch {
    lat         = tx_org_job.mail_lat
    lon         = tx_org_job.mail_lon
    #searchmode  = Within the radius only
    uid         = tx_org_job.uid
  }

  templates {
    listview {
      header {
        0 {
          field   = tx_org_job.teaser_title // tx_org_job.title
        }
      }
      image {
        0 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_job_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_job.image
					height				= imageheight
          heightDefault = 70c
          #listNum   =
          path      = uploads/tx_org/
          seo       = tx_org_job.imageseo // tx_org_job.teaser_title // tx_org_job.title
          // internal #t0774
          table     = tx_org_job
					width 				= imagewidth
          widthDefault	= 120m
        }
        1 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_staff_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_staff.image
					height				= imageheight
          heightDefault = 70c
          #listNum   =
          path      = uploads/tx_org/
          seo       = tx_org_staff.imageseo // tx_org_staff.title // tx_org_job.teaser_title // tx_org_job.title
          // internal #t0774
          table     = tx_org_staff
					width 				= imagewidth
          widthDefault	= 70
        }
        2 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_headquarters_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_headquarters.image
					height				= imageheight
          heightDefault = 80
          #listNum   =
          path      = uploads/tx_org/
          seo       = tx_org_headquarters.imageseo // tx_org_headquarters.title // tx_org_job.teaser_title // tx_org_job.title
          // internal #t0774
          table     = tx_org_headquarters
					width 				= imagewidth
          widthDefault	= 120m
        }
      }
      text {
        0 {
          field   = tx_org_job.teaser_short // tx_org_job.description
        }
      }
      url {
        0 {
          key       = tx_org_job.type
          page      = tx_org_job.page
          record    = tx_org_job.uid
          showUid   = jobUid
          singlePid =
          url       = tx_org_job.url
        }
      }
    }
    singleview {
      image {
        0 {
          caption     = tx_org_job.imagecaption
          // internal #t0774
          field       = image
          firstForListOnly  = tx_org_job.image_1stforlistonly
          file        = tx_org_job.image
          height      = tx_org_job.imageheight
          imagecols   = tx_org_job.imagecols
          imageorient = tx_org_job.imageorient
          layoutKey   = data
          path        = uploads/tx_org/
          seo         = tx_org_job.imageseo
          // internal #t0774
          table       = tx_org_job
          width       = tx_org_job.imagewidth
          zoom        = tx_org_job.image_zoom
        }
      }
    }
  }
}

[globalVar = GP:tx_browser_pi1|jobUid > 0]
  plugin.tx_browser_pi1 {
    map {
      zoomLevel {
        mode = fixed
        start = 10
      }
      design {
        height = 340
        width = 637
      }
    }
  }
[global]