plugin.tx_browser_pi1 {
  views {
    single {
      401 {
        tx_org_news {
          tx_org_headquarters {
          }
            // row: vcard
          tx_org_headquarters = COA
          tx_org_headquarters {
              // if is true tx_org_news.tx_org_headquarters
            if =
            if {
              isTrue {
                field = tx_org_news.tx_org_headquarters
              }
            }
              // div box
            wrap = <ul class="vcard tx_org_headquarters">|</ul><!-- vcard -->
              // Marginal news box: header, items
            10 = COA_INT
            10 {
                // header
              10 = TEXT
              10 {
                data = LLL:EXT:org/Resources/Private/Language/tx_org_headquarters.xml:tx_org_companies
                wrap = <li class="header">|</li>
              }
                // items: tx_org_headquarters.title croped and linked
              20 = CONTENT
              20 {
                table = tx_org_headquarters
                select {
                  pidInList = {$plugin.org.sysfolder.headquarters}
									recursive = {$plugin.org.sysfolder.headquarters.recursive}
                  //selectFields = tx_org_headquarters.title
                  join = tx_org_mm_all ON tx_org_mm_all.uid_foreign = tx_org_headquarters.uid
                  where {
                    data        = GP:tx_browser_pi1|newsUid
                    intval      = 1
                    noTrimWrap  = |tx_org_mm_all.uid_local = | AND tx_org_mm_all.table_local = 'tx_org_news' AND tx_org_mm_all.table_foreign = 'tx_org_headquarters'|
                  }
                  orderBy = RAND()
                  max = 3
                }
                  // tx_org_news.title croped and linked
                renderObj = CASE
                renderObj {
                  key {
                    field = {$plugin.tx_browser_pi1.templates.listview.url.2.key}
                  }
                    // link to detail view
                  default = TEXT
                  default {
                    field = title
                    crop = 25 | ... &raquo; | 1
                    wrap = <li class="url circle">|</li>
                    stdWrap {
                      noTrimWrap = || &raquo;|
                    }
                    typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.default
                  }
                    // no link
                  notype = TEXT
                  notype {
                    field   = title
                    crop    = 25 | ... | 1
                    stdWrap >
                  }
                    // link to internal page
                  page < .default
                  page {
                    typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.page
                  }
                    // link to external url
                  url < .page
                  url {
                    typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.2.url
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}