plugin.tx_browser_pi1 {
  navigation {
    showUid = newsUid
  }

  templates {
    listview {
      header {
        0 {
          crop  = 40|...|1
          field = tx_org_news.teaser_title // tx_org_news.title
          title = tx_org_news.title
        }
        1 {
          crop  = 30|...|1
          field = tx_org_news.subtitle // tx_org_news.teaser_subtitle
          title = tx_org_news.title
          tag   = h3
        }
      }
      image {
        0 {
          default				= EXT:org/Resources/Public/Images/Icons/Default/tx_org_news_300x200.png
          // internal #t0774
          field					= image
          file					= tx_org_news.image
					height				= imageheight
          heightDefault = 94c
          #listNum   =
          path					= uploads/tx_org/
          seo						= tx_org_news.imageseo
          // internal #t0774
          table					= tx_org_news
					width 				= imagewidth
          widthDefault	= 120
        }
      }
      subtitle {
        0 {
          crop  = 60|...|1
          field = tx_org_news.teaser_subtitle // tx_org_news.subtitle
        }
      }
      text {
        0 {
          crop = 240|...|1
          field = tx_org_news.teaser_short // tx_org_news.bodytext
          tag  = p
        }
      }
      url {
        0 {
          key       = tx_org_news.type
          page      = tx_org_news.page
          record    = tx_org_news.uid
          showUid   = newsUid
          singlePid =
          url       = tx_org_news.url
        }
      }
    }
  }
}