<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// #t0714, 160703, dwildt, +

function orgConfigSelectTree( $MMlocal, $MMforeign, $where = NULL, $foreign = NULL, $MMopposite = NULL, $MM = 'tx_org_mm_all', $parentField = 'uid_parent' )
{
  if ( !$foreign )
  {
    $foreign = $MMforeign;
  }
  $return = array (
    'autoSizeMax' => 50,
    'foreign_table' => $foreign,
    'foreign_table_where' => $where,
    'maxitems' => 9999,
    'MM' => $MM,
    "MM_match_fields" => array (
      'table_local' => $MMlocal,
      'table_foreign' => $MMforeign,
    ),
    "MM_insert_fields" => array (
      'table_local' => $MMlocal,
      'table_foreign' => $MMforeign,
    ),
    'renderMode' => 'tree', // TYPO3 6.x
    'renderType' => 'selectTree', // TYPO3 7.x
    'size' => 5,
    'treeConfig' => array (
      'parentField' => $parentField,
      'appearance' => array (
        'expandAll' => true,
        'showHeader' => true,
        'maxLevels' => 99,
      ),
    ),
    'type' => 'select',
  );

  if ( $MMopposite )
  {
    $return[ 'MM_opposite_field' ] = $MMopposite;
  }

  return $return;
}

function orgUidParent( $label, $foreign_table, $where = NULL, $parentField = 'uid_parent' )
{
  $return = array (
    'exclude' => 1,
    'label' => $label,
    'config' => array (
      'autoSizeMax' => 50,
      'default' => 0,
      'foreign_table' => $foreign_table,
      // #i0157, 160918, 1+
			// #i0190, 170218, dwildt, 1+
      'foreign_table_where' => 'AND ' . $foreign_table . '.pid=###CURRENT_PID### ORDER BY ' . $foreign_table . '.title',
      'minitems' => 0,
      'maxitems' => 1,
      'renderMode' => 'tree', // TYPO3 6.x
      'renderType' => 'selectTree', // TYPO3 7.x
      'size' => 5,
      'treeConfig' => array (
        'parentField' => $parentField,
        'appearance' => array (
          'expandAll' => true,
          'showHeader' => true,
          'maxLevels' => 99,
        ),
      ),
      'type' => 'select',
    ),
  );

  if ( $where )
  {
    $return[ 'config' ][ 'foreign_table_where' ] = $where;
  }

  return $return;
}
