<?php

function orgTcaColumnsIconMedium6x( $conf_file_image, $conf_text_30_05, $arr_wizard_url )
{
//  global $conf_file_image;
	$tcaColumnsIconMedium6x = array(
			'image' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.icons',
					'config' => $conf_file_image,
			),
			'imageseo' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.imageseo',
					'config' => $conf_text_30_05,
			),
			'imageseo_lang_ol' => array(
					'exclude' => 1,
					'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.imageseo_lang_ol.oneline',
					'config' => $conf_text_30_05,
			),
			'imagewidth' => array(
					'exclude' => 1,
//      'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagewidth',
					'config' => array(
							'type' => 'input',
							'size' => '10',
							'max' => '10',
							'eval' => 'trim',
							'checkbox' => '0',
							'default' => ''
					),
			),
			'imageheight' => array(
					'exclude' => 1,
//      'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imageheight',
					'config' => array(
							'type' => 'input',
							'size' => '10',
							'max' => '10',
							'eval' => 'trim',
							'checkbox' => '0',
							'default' => ''
					),
			),
			'image_effects' => array(
					'exclude' => 1,
//      'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects',
					'config' => array(
							'type' => 'select',
							'items' => array(
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.0', 0 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.1', 1 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.2', 2 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.3', 3 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.4', 10 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.5', 11 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.6', 20 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.7', 23 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.8', 25 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects.I.9', 26 ),
							),
					),
			),
			'image_compression' => array(
					'exclude' => 1,
//      'l10n_mode' => 'exclude',
					'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression',
					'config' => array(
							'type' => 'select',
							'items' => array(
									array( 'LLL:EXT:lang/locallang_general.php:LGL.default_value', 0 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.1', 1 ),
									array( 'GIF/256', 10 ),
									array( 'GIF/128', 11 ),
									array( 'GIF/64', 12 ),
									array( 'GIF/32', 13 ),
									array( 'GIF/16', 14 ),
									array( 'GIF/8', 15 ),
									array( 'PNG', 39 ),
									array( 'PNG/256', 30 ),
									array( 'PNG/128', 31 ),
									array( 'PNG/64', 32 ),
									array( 'PNG/32', 33 ),
									array( 'PNG/16', 34 ),
									array( 'PNG/8', 35 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.15', 21 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.16', 22 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.17', 24 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.18', 26 ),
									array( 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression.I.19', 28 ),
							),
					),
			),
	);
	return $tcaColumnsIconMedium6x;
}

function orgTcaCtrlIconMediumSearchFields6x()
{
	return ''
					. 'image'
					. ',imageseo'
					. ','
	;
}

function orgTcaPalettesIconMedium6x()
{
	$tcaPalettesIconMedium6x = array(
			'imagefiles' => array(
					'showitem' => ''
					. 'image;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image.cat,'
					,
					'canNotCollapse' => 1,
			),
			'image_settings' => array(
					'showitem' => ''
					. 'imagewidth;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagewidth_formlabel,'
					. 'imageheight;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imageheight_formlabel,'
					// #t0167, 161212, dwildt, 5-
//					. 'imageborder;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imageborder_formlabel,'
//					. '--linebreak--,'
//					. 'image_compression;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_compression_formlabel,'
//					. 'image_effects;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_effects_formlabel,'
//					. 'image_frames;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:image_frames_formlabel'
					,
					'canNotCollapse' => 1,
			),
	);

	return $tcaPalettesIconMedium6x;
}

function orgTcaTypesIconMedium6x( $case = 'big' )
{
	switch( $case )
	{
		case('icon'):
		case('small'):
			$tcaTypesIconMedium6x = ''
							. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_color,'
							. '  color,'
							. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image_settings.cat;image_settings,'
			;
			break;
		case('image'):
		case('medium'):
		case('big'):
		default:
			$tcaTypesIconMedium6x = ''
							. '--div--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.div_icons,'
							. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image.cat;imagefiles,'
							. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.image_settings.cat;image_settings,'
							. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_downloads.xml:tx_org_downloadscat.div_seo, '
							. '  imageseo,'
			;
			break;
	}

	return $tcaTypesIconMedium6x;
}
