<?php

function orgTcaColumnsIconFAL()
{
//  global $conf_file_image;
  $tcaColumnsIconFAL = array (
    'icons' => array (
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.icons',
      'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig( 'icons', array (
        'appearance' => array (
          'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
        ),
        // custom configuration for displaying fields in the overlay/reference table
        // to use the imageoverlayPalette instead of the basicoverlayPalette
        'foreign_types' => array (
          '0' => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.audioOverlayPalette;audioOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.videoOverlayPalette;videoOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          )
        )
        ,
              )
              , $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ] )
    ),
    'icon_offset_x' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.icon_offset_x',
      'config' => array (
        'type' => 'input',
        'size' => '3',
        'max' => '3',
        'eval' => 'int',
        'default' => '0',
      ),
    ),
    'icon_offset_y' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.icon_offset_y',
      'config' => array (
        'type' => 'input',
        'size' => '3',
        'max' => '3',
        'eval' => 'int',
        'default' => '0',
      ),
    ),
  );
  return $tcaColumnsIconFAL;
}

function orgTcaCtrlIconSearchFieldsFAL()
{
  return ''
          . 'icons,'
          . 'icon_offset_x,'
          . 'icon_offset_y,'
          . ','
  ;
}

function orgTcaTypesIconFAL()
{
//  global $conf_file_image;
  $tcaTypesIconFAL = ''
          . '--div--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.div_icons,'
          . '  icons,icon_offset_x,icon_offset_y,'
  ;

  return $tcaTypesIconFAL;
}
