<?php

function orgTcaColumnsTypeicons7x( $table )
{
  $class = str_replace( '_', '-', $table );
  
  switch ( $table )
  {
    case('tx_org_cal'):
      $typeicons = array (
        'typeicon_classes' => array (
          'notype' => $class . '-notype'
          , 'page' => $class . '-page'
          , 'record' => $class . ''
          , 'url' => $class . '-url'
          , 'tx_org_event' => 'tx-org-cal-tx-org-event'
        ),
      );
      break;
    case('tx_org_downloads'):
      $typeicons = array (
        'typeicon_classes' => array (
          'download' => 'tx-org-downloads-download',
          'download_shipping' => 'tx-org-downloads-download_shipping',
          'shipping' => 'tx-org-downloads-shipping',
        ),
      );
      break;
    case('tx_org_downloadscat'):
    case('tx_org_downloadsmedia'):
      $typeicons = array (
        'typeicon_classes' => array (
          'cat_color' => 'tx-org-downloadscat-cat_color'
          , 'cat_image' => 'tx-org-downloadscat-cat_image'
          , 'cat_text' => 'tx-org-downloadscat-cat_text'
        ),
      );
      break;
    default:
      $typeicons = array (
        'typeicon_classes' => array (
          'notype' => $class . '-notype'
          , 'page' => $class . '-page'
          , 'record' => $class . ''
          , 'url' => $class . '-url'
        ),
      );
      break;
  }


  return $typeicons;
}
