<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$_EXTKEY = "org";

require_once( PATH_typo3conf . 'ext/org/Configuration/ExtTables/t3version.php' );
//// #t0714, 160703, dwildt, 1+
//require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/DefaultValues/IconRegistry.php' );
// #t0697, 160721, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/DefaultValues/SelectTree.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/typeicons.php' );


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// INDEX
// General Configuration
// Other wizards and config drafts
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// General Configuration
// JSopenParams for all wizards
$JSopenParams = 'height=680,width=800,status=0,menubar=0,scrollbars=1';
// Rows of calendar select box
$size_calendar = 10;
// Rows of department select box
$size_department = 10;
// Rows of document select box
$size_doc = 30;
// Rows of event select box
$size_event = 30;
// Rows of fe_group select box
$size_fegroup = 10;
// Rows of fe_user select box
$size_feuser = 30;
// Rows of headquarters select box
$size_headquarters = 50;
// Rows of location select box
$size_location = 1;
// Rows of news select box
$size_news = 30;

$listStyleWidth = 'width:500px;';

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Other wizards and config drafts

$arr_wizard_color = array(
		'type' => 'input',
		'size' => 10,
		'eval' => 'trim',
		'wizards' => array(
				'colorChoice' => array(
						'type' => 'colorbox',
						'title' => 'LLL:EXT:examples/locallang_db.xml:tx_examples_haiku.colorPick',
						// #t0717, 160721, dwildt, 1-/7+
						//'script' => 'wizard_colorpicker.php',
						'module' => array(
								'name' => 'wizard_colorpicker',
						),
						'JSopenParams' => 'height=600,width=380,status=0,menubar=0,scrollbars=1',
				),
		)
);

$arr_wizard_url = array(
		'type' => 'input',
		'size' => '80',
		'max' => '256',
		'checkbox' => '',
		'eval' => 'trim',
		'wizards' => array(
				'_PADDING' => '2',
				'link' => array(
						'type' => 'popup',
						'title' => 'Link',
						'icon' => 'link_popup.gif',
						// #t0717, 160702, dwildt, 1-/7+
						//'script' => 'browse_links.php?mode=wizard',
						'module' => array(
								'name' => 'wizard_element_browser',
								'urlParameters' => array(
										'mode' => 'wizard',
								//'act' => 'file'
								),
						),
						'JSopenParams' => $JSopenParams,
				),
		),
		'softref' => 'typolink',
);

$conf_datetime = array(
		'type' => 'input',
		'size' => '10',
		'max' => '20',
		'eval' => 'datetime,required',
				// #i0130, 160119, dwildt, 1-: system is caching the default!
				//'default' => mktime(date('G'), date('i'), 0, date('m'), date('d'), date('Y')),
);

$conf_datetimeend = $conf_datetime;
$conf_datetimeend[ 'eval' ] = 'datetime';
unset( $conf_datetimeend[ 'default' ] );

$conf_archivedate = $conf_datetimeend;
$conf_archivedate[ 'eval' ] = 'date';

$conf_file_document = array(
		'type' => 'group',
		'internal_type' => 'file',
		'allowed' => '',
		'disallowed' => 'php,php3',
		'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
		'uploadfolder' => 'uploads/tx_org',
		'show_thumbs' => 1,
		'size' => 10,
		'minitems' => 0,
		'maxitems' => 99,
);

$conf_file_one_document = $conf_file_document;
$conf_file_one_document[ 'size' ] = 1;
$conf_file_one_document[ 'maxitems' ] = 1;

$conf_file_image = array(
		'type' => 'group',
		'internal_type' => 'file',
		'allowed' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ],
		'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
		'uploadfolder' => 'uploads/tx_org',
		'show_thumbs' => 1,
		'size' => 3,
		'minitems' => 0,
		'maxitems' => 20,
);

$conf_file_one_image = $conf_file_image;
$conf_file_one_image[ 'size' ] = 1;
$conf_file_one_image[ 'maxitems' ] = 99;

$conf_file_icon = array(
		'type' => 'group',
		'internal_type' => 'file',
		'allowed' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ],
		'max_size' => $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'BE' ][ 'maxFileSize' ],
		'uploadfolder' => 'uploads/tx_org',
		'show_thumbs' => 1,
		'size' => 1,
		'minitems' => 0,
		'maxitems' => 1,
);

$conf_input_30_trim = array(
		'type' => 'input',
		'size' => '30',
		'eval' => 'trim'
);

$conf_input_30 = array(
		'type' => 'input',
		'size' => '30',
);

$conf_input_30_trimRequired = array(
		'type' => 'input',
		'size' => '30',
		'eval' => 'trim,required'
);

$conf_input_80_trim = array(
		'type' => 'input',
		'size' => '80',
		'eval' => 'trim'
);
$conf_text_30_05 = array(
		'type' => 'text',
		'cols' => '30',
		'rows' => '5',
);
$conf_text_30_05_trimRequired = array(
		'type' => 'text',
		'cols' => '30',
		'rows' => '5',
		'eval' => 'trim,required'
);

$conf_text_50_10 = array(
		'type' => 'text',
		'cols' => '50',
		'rows' => '10',
);

$conf_text_rte = array(
		'type' => 'text',
		'cols' => '30',
		'rows' => '5',
		'wizards' => array(
				'_PADDING' => 2,
				'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly' => 1,
						'type' => 'script',
						'title' => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon' => 'wizard_rte2.gif',
						// #t0717, 160702, dwildt, 1-/3+
						//'script' => 'wizard_rte.php',
						'module' => array(
								'name' => 'wizard_rte',
						),
				),
		),
);

$conf_hidden = array(
		'exclude' => $bool_exclude_default,
		'l10n_mode' => 'exclude',
		'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
		'config' => array(
				'type' => 'check',
				'default' => '0'
		),
);
$conf_starttime = array(
		'exclude' => $bool_time_control,
		'l10n_mode' => 'exclude',
		'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
		'config' => array(
				'type' => 'input',
				'size' => '8',
				'max' => '20',
				'eval' => 'date',
				'default' => '0',
				'checkbox' => '0'
		),
);
$conf_endtime = array(
		'exclude' => $bool_time_control,
		'l10n_mode' => 'exclude',
		'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
		'config' => array(
				'type' => 'input',
				'size' => '8',
				'max' => '20',
				'eval' => 'date',
				'checkbox' => '0',
				'default' => '0',
				'range' => array(
						'upper' => mktime( 0, 0, 0, date( 'm' ), date( 'd' ), date( 'Y' ) + 30 ),
						'lower' => mktime( 0, 0, 0, date( 'm' ) - 1, date( 'd' ), date( 'Y' ) ),
				),
		),
);
$conf_fecruserid = array(
		'exclude' => $bool_exclude_default,
		'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.fe_cruser_id',
		'config' => Array(
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'fe_users',
				'size' => '1',
				'maxitems' => '1',
				'minitems' => '0',
				'show_thumbs' => '1'
		)
);
$conf_fegroup = array(
		'exclude' => $bool_fegroup_control,
		//'l10n_mode'   => 'mergeIfNotBlank',
		'label' => 'LLL:EXT:lang/locallang_general.php:LGL.fe_group',
		'config' => array(
				'type' => 'select',
				'size' => $size_fegroup,
				'maxitems' => 20,
				'items' => array(
						array( 'LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1 ),
						array( 'LLL:EXT:lang/locallang_general.php:LGL.any_login', -2 ),
						array( 'LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--' ),
				),
				'exclusiveKeys' => '-1,-2',
				'foreign_table' => 'fe_groups'
		),
);
$conf_topitem = array(
		'exclude' => 1,
//    'l10n_mode'   => 'exclude',
		'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org.xml:tx_org.topitem',
		'config' => array(
				'type' => 'check',
				'default' => '0',
		),
);
$conf_topnews = array(
		'exclude' => 1,
//    'l10n_mode'   => 'exclude',
		'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.topnews',
		'config' => array(
				'type' => 'check',
				'default' => '0',
		),
);
$conf_pages = array(
		'exclude' => 1,
		'l10n_mode' => 'exclude',
		'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.pages',
		'config' => array(
				'type' => 'group',
				'internal_type' => 'db',
				'allowed' => 'pages',
				'size' => '10',
				'maxitems' => '99',
				'minitems' => '0',
				'show_thumbs' => '1'
		),
);
// Other wizards and config drafts