<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
// #i0237, 170411, dwildt, 1+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_cal = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal',
				'label' => 'datetime',
				'label_alt' => 'title,tx_org_location',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY datetime DESC, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				// #t0697, 160721, dwildt, 1-
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,type,title,subtitle,datetime,datetimeend,length,tx_org_calcal,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'location, locationurl,'
				. 'organiser, organiserurl,'
				. 'price,tax,'
				. 'stockmanagement,stockquantity,stockprompt,'
				. 'tx_org_calcal,'
				. 'tx_org_calentrance,'
				. 'tx_org_caltype,'
				. 'tx_org_event,'
				. 'tx_org_headquarters,'
				. 'tx_org_location,'
				. 'tx_org_staff,'
// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'hidden,topitem,starttime,endtime,pages,fe_group,'
				. 'seo_keywords,seo_description',
				'useColumnsForDefaultValues' => ''
				. 'type,title,subtitle,datetime,datetimeend,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'hidden,topitem,starttime,endtime,pages,'
				. 'seo_keywords,seo_description',
				// #69250, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,subtitle,datetime,datetimeend,length,bodytext,tx_org_event,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'location, locationurl,'
				. 'organiser, organiserurl,'
				. 'price,tax,'
				. 'tx_org_calentrance,'
				. 'stockmanagement,stockquantity,stockprompt,'
				. 'tx_org_calcal,'
				. 'tx_org_caltype,'
				. 'tx_org_headquarters,'
				. 'tx_org_location,'
				. 'tx_org_staff,'
// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'hidden,topitem,starttime,endtime,pages,fe_group,'
				. 'seo_keywords,seo_description'
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.uid=###REC_FIELD_l10n_parent### AND tx_org_cal.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
										'tx_org_event' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.type.tx_org_event',
												'1' => 'tx_org_event',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif',
										),
								),
								'default' => 'record',
						),
						// #69250, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
										'tx_org_event' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.type.tx_org_event',
												'1' => 'tx_org_event',
										),
										'calpage' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_pagedeprecated',
												'1' => 'calpage',
										),
										'calurl' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_urldeprecated',
												'1' => 'calurl',
										),
								),
						),
				),
				'page' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.page',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => 0,
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'url' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.url',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => 0,
						'config' => $arr_wizard_url,
				),
				'title' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.title',
						'config' => $conf_input_30_trimRequired,
				),
				'subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.subtitle',
						'config' => $conf_input_30_trim,
				),
				'datetime' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetime',
						'config' => $conf_datetime,
						'config_filter' => array(
								'type' => 'input',
								'size' => '8',
								'max' => '20',
								'eval' => 'date',
								'fromto' => true,
								'fromto_labels' => array(
										'from' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetime.from',
										'to' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetime.to',
								),
						),
				),
				'datetimeend' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.datetimeend',
						'config' => $conf_datetimeend,
				),
				'length' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.length',
						'config' => $conf_input_30_trim,
				),
				'bodytext' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.bodytext',
						'config' => $conf_text_rte,
				),
				'tx_org_event' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_event',
						'config' => array(
								'type' => 'select',
								//'size' => $size_event,
								'minitems' => 0,
								'maxitems' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								'foreign_table' => 'tx_org_event',
								'foreign_table_where' => ''
								. ' AND tx_org_event.' . $str_store_record_conf
								. ' AND tx_org_event.deleted = 0 AND tx_org_event.hidden = 0'
								. ' AND (tx_org_event.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_event.sys_language_uid = -1) '
								. 'ORDER BY tx_org_event.title'
								,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								'foreign_table' => 'tx_org_event',
								'foreign_table_where' => 'AND tx_org_event.' . $str_store_record_conf
								. ' AND tx_org_event.deleted = 0 AND tx_org_event.hidden = 0'
								. ' AND (tx_org_event.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_event.sys_language_uid = -1) '
								. 'ORDER BY tx_org_event.title'
								,
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'teaser_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.teaser_title',
						'config' => $conf_input_30_trim,
				),
				'teaser_subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.teaser_subtitle',
						'config' => $conf_input_30_trim,
				),
				'teaser_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.teaser_short',
						'config' => $conf_text_50_10,
				),
				'teaser_short_for_singleview' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.teaser_short_for_singleview',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'location' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.location',
						'config' => $conf_input_30_trim,
				),
				'locationurl' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.locationurl',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => 0,
						'config' => $arr_wizard_url,
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.marginal_title',
						'config' => $conf_input_30_trim,
				),
				'marginal_subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.marginal_subtitle',
						'config' => $conf_input_30_trim,
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.marginal_short',
						'config' => $conf_text_50_10,
				),
				'organiser' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiser',
						'config' => $conf_input_30_trim,
				),
				'organiserurl' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiserurl',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => 0,
						'config' => $arr_wizard_url,
				),
				'tx_org_location' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_location',
						'config' => array(
								'type' => 'select',
								'size' => $size_location,
								'minitems' => 0,
								'maxitems' => 1,
//        'MM' => 'tx_org_cal_mm_tx_org_location',
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND ((tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.mail_city, tx_org_location.title',
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'suppress_icons' => 1,
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_location'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND ((tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.mail_city, tx_org_location.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_headquarters',
						'config' => array(
								'type' => 'select',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_cal',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'itemListStyle' => 'width:400px;',
								'suppress_icons' => 1,
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_cal',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_cal'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'price' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.price',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'double2,nospace',
						)
				),
				'tax' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.0', '1' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.1', '2' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax.I.2', '0' ),
								),
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tx_org_calentrance' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_calentrance',
						'config' => array(
								'type' => 'select',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 999,
//        'MM' => 'tx_org_cal_mm_tx_org_calentrance',
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_calentrance'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_calentrance'
								),
								'foreign_table' => 'tx_org_calentrance',
								'foreign_table_where' => 'AND tx_org_calentrance.' . $str_store_record_conf . ' AND tx_org_calentrance.deleted = 0 AND tx_org_calentrance.hidden = 0 ORDER BY tx_org_calentrance.title',
						),
				),
				'stockmanagement' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockmanagement',
						'config' => array(
								'type' => 'check',
								'default' => 0,
						)
				),
				'stockquantity' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockquantity',
						'config' => array(
								'type' => 'input',
								'size' => '10',
								'eval' => 'int',
								'default' => 1
						)
				),
				'stockprompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.priceonapplication', 'application' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.booked', 'booked' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.negotiation', 'negotiation' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notavailable', 'notavailable' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.notinstock', 'notinstock' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.onapplication', 'onapplication' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.refit', 'refit' ),
										array( 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt.selled', 'selled' ),
								),
								'default' => 'selled',
								'size' => 1,
								'maxitems' => 1,
								'eval' => 'required',
						)
				),
				'tx_org_calcal' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_calcal',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_cal'
										, 'tx_org_calcal'
										// #i0191, 170218, dwildt
										, ''
										//	. 'AND tx_org_calcal.pid=###CURRENT_PID### '
										. 'AND tx_org_calcal.' . $str_store_record_conf . ' '
										. 'AND tx_org_calcal.deleted = 0 '
										. 'AND tx_org_calcal.hidden = 0 ORDER BY tx_org_calcal.title'
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_cal_mm_tx_org_calcal',
								'foreign_table' => 'tx_org_calcal',
								'foreign_table_where' => 'AND tx_org_calcal.' . $str_store_record_conf . ' '
								. 'AND tx_org_calcal.deleted = 0 '
								. 'AND tx_org_calcal.hidden = 0 ORDER BY tx_org_calcal.title'
								,
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_caltype' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_caltype',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_cal'
										, 'tx_org_caltype'
										, ''
										// #i0191, 170218, dwildt
										//. 'AND tx_org_caltype.pid=###CURRENT_PID### '
										. 'AND tx_org_caltype.' . $str_store_record_conf . ' '
										. 'AND tx_org_caltype.deleted = 0 '
										. 'AND tx_org_caltype.hidden = 0 ORDER BY tx_org_caltype.title'
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_caltype'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_caltype'
								),
								'foreign_table' => 'tx_org_caltype',
								'foreign_table_where' => 'AND tx_org_caltype.' . $str_store_record_conf
								. ' AND tx_org_caltype.deleted = 0 AND tx_org_caltype.hidden = 0'
								. ' ORDER BY tx_org_caltype.title'
								,
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_staff' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 999,
//        'MM' => 'tx_org_cal_mm_tx_org_staff',
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'suppress_icons' => 1,
						),
						// #69250, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.name_last',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'filterPrompt' => array(
						'l10n_mode' => 'exclude',
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/Userfunc/TcaFilterPrompt/locallang.xlf:default.label',
						'config' => array(
								'type' => 'user',
								'userFunc' => 'Netzmacher\Org\Utility\UserFunc\TcaFilterPrompt->tx_org_cal',
						),
				),
				'hidden' => $conf_hidden,
				'topitem' => $conf_topitem,
				'starttime' => $conf_starttime,
				'endtime' => $conf_endtime,
				'pages' => $conf_pages,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'l10n_mode' => 'prefixLangTitle',
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_filters,'
						. '  tx_org_caltype,'
						. '  tx_org_calcal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
						. '  tx_org_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.appearance;documents_appearance,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_embedded,    embeddedcode,print,printcaption,printseo,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
						. ''
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_filters,'
						. '  tx_org_caltype,'
						. '  tx_org_calcal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
						. '  tx_org_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '--palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media;documents_upload,'
						. '--palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.appearance;documents_appearance,'
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_embedded,    embeddedcode,print,printcaption,printseo,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_seo,'
						. '  seo_keywords,seo_description'
						. ''
				),
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette_typepage;typepage,'
						. '  title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_filters,'
						. '  tx_org_caltype,'
						. '  tx_org_calcal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
						. '  tx_org_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette_typeurl;typeurl,'
						. '  title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_filters,'
						. '  tx_org_caltype,'
						. '  tx_org_calcal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
						. '  tx_org_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'tx_org_event' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_tx_org_cal,'
						. '  type,title,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.datetime_datetimeend;datetime_datetimeend,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_event,'
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_filters,'
						. '  tx_org_caltype,'
						. '  tx_org_calcal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_locationCompany,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.location;location,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.organiser;organiser,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_pricestock,'
						. '  --palette--;LLL:EXT:quick_shop/locallang_db.xml:palette.price;price,'
						. '  tx_org_calentrance,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.palette.stockmanagement;stockmanagement,'
// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.div_control,'
						. '  filterPrompt,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'documents_appearance' => array(
						'showitem' => 'documentslayout;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout,documentssize;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size_formlabel',
						'canNotCollapse' => 1,
				),
				'datetime_datetimeend' => array(
						'showitem' => 'datetime, datetimeend, length',
						'canNotCollapse' => 1,
				),
				'documents_upload' => array(
						'showitem' => 'documents_from_path;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents_from_path, --linebreak--,' .
						'documents;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:media.ALT.uploads_formlabel, documentscaption;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:imagecaption.ALT.uploads_formlabel;;nowrap, --linebreak--,',
						'canNotCollapse' => 1,
				),
				'location' => array(
						'showitem' => ''
						. 'tx_org_location;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_location,'
						. '--linebreak--,'
						. 'location;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.location,'
						. 'locationurl;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.locationurl,',
						'canNotCollapse' => 1,
				),
				'organiser' => array(
						'showitem' => ''
						. 'tx_org_headquarters;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tx_org_headquarters,'
						. '--linebreak--,'
						. 'organiser;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiser,'
						. 'organiserurl;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiserurl,',
						'canNotCollapse' => 1,
				),
				'price' => array(
						'showitem' => 'price;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.price,tax;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.tax,',
						'canNotCollapse' => 1,
				),
				'stockmanagement' => array(
						'showitem' => ''
						. 'stockmanagement;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockmanagement,'
						. 'stockquantity;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockquantity,'
						. 'stockprompt;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.stockprompt,'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.url'
						,
						'canNotCollapse' => 1,
				),
		),
);

// #i0237, 170411, dwildt, +documents, +media
// #t0773, 160720, dwildt, 2+
$tx_org_cal[ 'columns' ] = ( array ) $tx_org_cal[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_cal', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal ) + ( array ) orgTcaColumnsMedia( 'tx_org_cal', 'documents', $conf_file_document, $conf_input_80_trim, $fal )
;
$tx_org_cal[ 'ctrl' ] = ( array ) $tx_org_cal[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_cal', $fal )
;
$tx_org_cal[ 'palettes' ] = ( array ) $tx_org_cal[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal ) + ( array ) orgTcaPalettesMedia( $fal )
;

return $tx_org_cal;
