<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );

return array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance',
				'label' => 'title',
				'label_alt' => 'value,tx_org_tax',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				//'thumbnail' => 'image',
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_calentrance.gif',
				'searchFields' => ''
				. 'title,title_lang_ol,'
				. 'tx_org_cal,'
				. 'hidden'
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'title,title_lang_ol,value,tx_org_tax,'
				. 'hidden,starttime,endtime,fe_group'
		),
		'columns' => array(
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.title',
						'config' => $conf_input_30_trimRequired,
				),
				'title_lang_ol' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.title_lang_ol',
						'config' => $conf_input_30_trim,
				),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.value',
						'config' => array(
								'type' => 'input',
								'size' => '7',
								'max' => '7',
								'eval' => 'required,double2',
						),
				),
				'tx_org_tax' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.tx_org_tax',
						'config' => array(
								'type' => 'select',
								'size' => 3,
								'maxitems' => 1,
								'eval' => 'required',
								'foreign_table' => 'tx_org_tax'
						),
				),
				'hidden' => $conf_hidden,
				'starttime' => $conf_starttime,
				'endtime' => $conf_endtime,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
		),
		'types' => array(
				'0' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.div_calentrance, title;;1;;,value,tx_org_tax,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_calentrance.div_control,     '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
		'palettes' => array(
				'1' => array( 'showitem' => 'title_lang_ol,' ),
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
		),
);
