<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/icon.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_caltype = array (
  'ctrl' => array (
    'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype',
    'label' => 'title',
    'tstamp' => 'tstamp',
    'crdate' => 'crdate',
    'cruser_id' => 'cruser_id',
    'default_sortby' => 'ORDER BY title',
    'delete' => 'deleted',
    'enablecolumns' => array (
      'disabled' => 'hidden',
    ),
    'dividers2tabs' => true,
    'hideAtCopy' => false,
    'thumbnail' => 'icons',
    'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_cal.gif',
    'searchFields' => ''
    . 'title,title_lang_ol,'
    . 'tx_org_cal,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    . 'hidden'
  ),
  'interface' => array (
    'showRecordFieldList' => ''
    . 'title,title_lang_ol,uid_parent,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    . 'tx_org_cal,'
    . 'hidden'
  ),
  'columns' => array (
    'title' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.title',
      'config' => $conf_input_30_trimRequired,
    ),
    'title_lang_ol' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.title_lang_ol',
      'config' => $conf_input_30_trim,
    ),
    'uid_parent' => orgUidParent(
            'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_caltype.uid_parent', 'tx_org_caltype'
    ),
    'tx_org_cal' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.tx_org_cal',
      'config' => array (
        'type' => 'select',
        'size' => $size_calendar,
        'minitems' => 0,
        'maxitems' => 999,
        'MM' => 'tx_org_mm_all',
        "MM_match_fields" => array (
          'table_local' => 'tx_org_cal',
          'table_foreign' => 'tx_org_caltype'
        ),
        "MM_insert_fields" => array (
          'table_local' => 'tx_org_cal',
          'table_foreign' => 'tx_org_caltype'
        ),
        'MM_opposite_field' => 'tx_org_caltype',
        'foreign_table' => 'tx_org_cal',
        'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf
        . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0'
        . ' ORDER BY tx_org_cal.datetime DESC, title'
      ),
    ),
    'hidden' => $conf_hidden,
  ),
  'types' => array (
    '0' => array ( 'showitem' => '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.div_caltype,    title;;1;;,uid_parent,'
      // #t0773, 160720, dwildt, 1+
      . orgTcaTypesIcon( $fal )
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.div_tx_org_cal,    tx_org_cal,'
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_caltype.div_control,     hidden'
      . '' ),
  ),
  'palettes' => array (
    '1' => array ( 'showitem' => 'title_lang_ol,' ),
  ),
);

// #t0773, 160720, dwildt, 1+
$tx_org_caltype[ 'columns' ] = ( array ) $tx_org_caltype[ 'columns' ] + ( array ) orgTcaColumnsIcon( $conf_file_image, $fal );

return $tx_org_caltype;
