<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160721, dwildt, 3+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_event = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event',
				'label' => 'title',
				//'label_alt'         => 'tx_org_headquarters',
				//'label_alt_force'   => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				'thumbnail' => 'image',
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,title,subtitle,producer,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'tx_org_cal,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				. 'tx_org_news,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description'
				,
				// #69251, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,page,url,'
				. 'title,subtitle,producer,length,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'tx_org_eventcat,'
				. 'tx_org_cal,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				. 'tx_org_news,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'tx_org_headquarters,'
				. 'tx_org_staff,'
				. '--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				. 'seo_keywords,seo_description'
		,
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_org_event',
								'foreign_table_where' => 'AND tx_org_event.uid=###REC_FIELD_l10n_parent### AND tx_org_event.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_event.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
								),
								'default' => 'record',
						),
						// #69251, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
								),
						),
				),
				'page' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.page',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => $bool_exclude_default,
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'url' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.url',
//      'l10n_mode' => 'mergeIfNotBlank',
						'exclude' => $bool_exclude_default,
						'config' => $arr_wizard_url,
				),
				'title' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.title',
						'config' => $conf_input_30_trimRequired,
				),
				'subtitle' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.subtitle',
						'config' => $conf_input_30_trim,
				),
				'length' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.length',
						'config' => $conf_input_30_trim,
				),
				'bodytext' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.bodytext',
						'config' => $conf_text_rte,
				),
				'teaser_title' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.teaser_title',
						'config' => $conf_input_30_trim,
				),
				'teaser_subtitle' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.teaser_subtitle',
						'config' => $conf_input_30_trim,
				),
				'teaser_short' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.teaser_short',
						'config' => $conf_text_50_10,
				),
				'teaser_short_for_singleview' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.teaser_short_for_singleview',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'tx_org_eventcat' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.tx_org_eventcat',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_event'
										, 'tx_org_eventcat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_eventcat.' . $str_store_record_conf . ' '
										//. 'AND tx_org_eventcat.pid=###CURRENT_PID### '
										. 'AND tx_org_eventcat.deleted = 0 '
										. 'AND tx_org_eventcat.hidden = 0 '
										. 'ORDER BY tx_org_eventcat.title'
						),
						'XXXconfig' => array(
								'type' => 'select',
								'size' => 10,
								'minitems' => 0,
								'maxitems' => 99,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_eventcat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_eventcat'
								),
								'foreign_table' => 'tx_org_eventcat',
								'foreign_table_where' => 'AND tx_org_eventcat.' . $str_store_record_conf . ' AND tx_org_eventcat.deleted = 0 AND tx_org_eventcat.hidden = 0 ORDER BY tx_org_eventcat.title',
								'form_type' => 'user',
								'userFunc' => 'tx_cpstcatree->getTree',
								'treeView' => 1,
								'expandable' => 1,
								'expandFirst' => 0,
								'expandAll' => 0,
								'items' => array(
										'0' => array(
												'0' => '---',
												'1' => '',
										),
								),
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 0,
										'add' => array(
												'type' => 'script',
												'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:wizard.tx_org_eventcat.add',
												'icon' => 'add.gif',
												'params' => array(
														'table' => 'tx_org_eventcat',
														'pid' => $str_marker_pid,
														'setValue' => 'prepend'
												),
												'script' => 'wizard_add.php',
										),
										'list' => array(
												'type' => 'script',
												'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:wizard.tx_org_eventcat.list',
												'icon' => 'list.gif',
												'params' => array(
														'table' => 'tx_org_eventcat',
														'pid' => $str_marker_pid,
												),
												'script' => 'wizard_list.php',
										),
										'edit' => array(
												'type' => 'popup',
												'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:wizard.tx_org_eventcat.edit',
												'script' => 'wizard_edit.php',
												'popup_onlyOpenIfSelected' => 1,
												'icon' => 'edit2.gif',
												'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
										),
								),
						),
						// #69251, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_eventcat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_eventcat'
								),
								'foreign_table' => 'tx_org_eventcat',
								'foreign_table_where' => 'AND tx_org_eventcat.' . $str_store_record_conf . ' AND tx_org_eventcat.deleted = 0 AND tx_org_eventcat.hidden = 0 ORDER BY tx_org_eventcat.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_cal' => array(
						'exclude' => $bool_exclude_default,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.tx_org_cal',
						'config' => array(
								'type' => 'select',
								'size' => $size_calendar,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_event',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf
								. ' AND tx_org_cal.deleted = 0'
								. ' AND tx_org_cal.hidden = 0'
								. ' AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1)'
								. ' ORDER BY datetime DESC, title'
								,
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69251, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_event',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_event'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf
								. ' AND tx_org_cal.deleted = 0'
								. ' AND tx_org_cal.hidden = 0'
								. ' AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1)'
								. ' ORDER BY datetime DESC, title'
								,
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
//    'documents_from_path' => array (
//      'exclude' => $bool_exclude_default,
////      'l10n_mode' => 'exclude',
//      'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.code',
//      'config' => array (
//        'type' => 'input',
//        'size' => '50',
//        'max' => '80',
//        'eval' => 'trim',
//      ),
//    ),
//    'documents' => array (
//      'exclude' => $bool_exclude_default,
////      'l10n_mode' => 'exclude',
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documents',
//      'config' => $conf_file_document,
//    ),
//    'documentscaption' => array (
//      'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'prefixLangTitle',
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentscaption',
//      'config' => $conf_text_30_05,
//    ),
//    'documentslayout' => array (
//      'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
//      'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout',
//      'config' => array (
//        'type' => 'select',
//        'size' => 1,
//        'maxitems' => 1,
//        'items' => array (
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.0', 0 ),
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.1', 1 ),
//          array ( 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.documentslayout.2', 2 ),
//        ),
//      ),
//    ),
//    'documentssize' => array (
//      'exclude' => $bool_exclude_default,
//      'l10n_mode' => 'exclude',
//      'label' => 'LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:filelink_size',
//      'config' => array (
//        'type' => 'check',
//        'items' => array (
//          '1' => array (
//            '0' => 'LLL:EXT:lang/locallang_core.xml:labels.enabled',
//          ),
//        ),
//      ),
//    ),
				'tx_org_news' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.tx_org_news',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_news'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_news'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC, title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69251, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_news'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_news'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC, title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.tx_org_headquarters',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_headquarters'
										, 'tx_org_event'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_headquarters.' . $str_store_record_conf . ' '
										//. 'AND tx_org_headquarters.pid=###CURRENT_PID### '
										. 'AND tx_org_headquarters.deleted = 0 '
										. 'AND tx_org_headquarters.hidden = 0 '
										. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
										. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title'
										, 'tx_org_headquarters'
										, 'tx_org_event'
						),
						// #69251, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_event',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_event'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_event'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_staff' => array(
						'exclude' => 0,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69251, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'hidden' => $conf_hidden,
				'topitem' => $conf_topitem,
				'pages' => $conf_pages,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'exclude' => $bool_exclude_default,
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'l10n_mode' => 'prefixLangTitle',
						'exclude' => $bool_exclude_default,
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  type,'
						. '  title;;;;1-1-1,subtitle,producer,length,bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  type,'
						. '  title;;;;1-1-1,subtitle,producer,length,bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_seo,'
						. '  seo_keywords,seo_description'
				,
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.palette_typepage;typepage,'
						. '  title;;;;1-1-1,subtitle,producer,length,bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_event,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.palette_typeurl;typeurl,'
						. '  title;;;;1-1-1,subtitle,producer,length,bodytext;;;richtext[]:rte_transform[mode=ts];,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_teaser,'
						. '  teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_eventcat,'
						. '  tx_org_eventcat,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_tx_org_cal,'
						. '  tx_org_cal,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_headquarters,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'topitem,pages,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/tx_org_event.xml:tx_org_event.url'
						,
						'canNotCollapse' => 1,
				),
		),
);

// #t0773, 160720, dwildt, 4+
$tx_org_event[ 'columns' ] = ( array ) $tx_org_event[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_event', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal ) + ( array ) orgTcaColumnsMedia( 'tx_org_event', 'documents', $conf_file_document, $conf_input_80_trim, $fal )
;
$tx_org_event[ 'ctrl' ] = ( array ) $tx_org_event[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_event', $fal )
;
$tx_org_event[ 'palettes' ] = ( array ) $tx_org_event[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal ) + ( array ) orgTcaPalettesMedia( $fal )
;

return $tx_org_event;
