<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/icon.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_location = array (
  'ctrl' => array (
    'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat',
    'label' => 'title',
    'tstamp' => 'tstamp',
    'crdate' => 'crdate',
    'default_sortby' => 'ORDER BY title',
    //'sortby' => 'sorting',
    'delete' => 'deleted',
    'enablecolumns' => array (
      'disabled' => 'hidden',
    ),
    'hideAtCopy' => false,
    'dividers2tabs' => true,
    'thumbnail' => 'icons',
    'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_location.gif',
    'searchFields' => 'title,title_lang_ol,uid_parent,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    . 'hidden,'
    . 'image,imagecaption,imageseo'
  ,
  ),
  'interface' => array (
    'showRecordFieldList' => ''
    . 'title,title_lang_ol,uid_parent,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlIconSearchFields( $fal )
    . 'hidden,'
    . 'image,imagecaption,imageseo'
  ,
  ),
  'columns' => array (
    'title' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat.title',
      'config' => $conf_input_30_trimRequired,
    ),
    'title_lang_ol' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat.title_lang_ol',
      'config' => $conf_input_30_trim,
    ),
    'uid_parent' => orgUidParent(
            'LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat.uid_parent', 'tx_org_locationcat'
    ),
    'hidden' => $conf_hidden,
  ),
  'types' => array (
    '0' => array ( 'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat.div_cat,'
      . '  title;;1;;1-1-1,uid_parent,'
      // #t0773, 160720, dwildt, 1+
      . orgTcaTypesIcon( $fal )
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_location.xml:tx_org_locationcat.div_control,'
      . 'hidden'
    ),
  ),
  'palettes' => array (
    '1' => array ( 'showitem' => 'title_lang_ol,' ),
  ),
);

// #t0773, 160720, dwildt, 1+
$tx_org_location[ 'columns' ] = ( array ) $tx_org_location[ 'columns' ] + ( array ) orgTcaColumnsIcon( $conf_file_image, $fal );

return $tx_org_location;
