<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/media.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_news = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news',
				'label' => 'datetime',
				'label_alt' => 'title',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY datetime DESC, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
						'fe_group' => 'fe_group',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => true,
				'thumbnail' => 'image',
				'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,type,title,subtitle,datetime,tx_org_newscat,tx_org_newsgroup,bodytext,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'page,url,'
				. 'tx_org_news,'
				. 'tx_org_headquarters,'
				. 'tx_org_staff,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'topnews,hidden,pages,starttime,endtime,fe_group,'
				. 'seo_keywords,seo_description,'
				,
				// #69248, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'sys_language_uid,l10n_parent,l10n_diffsource,'
				. 'type,title,subtitle,datetime,'
				. 'bodytext,'
				. 'tx_org_newscat,'
				. 'tx_org_newsgroup,'
				. 'teaser_title,teaser_subtitle,teaser_short,teaser_short_for_singleview,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'page,url,'
				. 'tx_org_news,'
				. 'tx_org_headquarters,'
				. 'tx_org_staff,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlMediaSearchFields( $fal )
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'topnews,hidden,pages,starttime,endtime,fe_group,'
				. 'seo_keywords,seo_description,'
		,
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.uid=###REC_FIELD_l10n_parent### AND tx_org_news.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
								),
								'default' => 'record',
						),
						// #69248, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'0' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
										'news' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_recorddeprecated',
												'1' => 'news',
										),
										'newspage' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_pagedeprecated',
												'1' => 'newspage',
										),
										'newsurl' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_urldeprecated',
												'1' => 'newsurl',
										),
								),
						),
				),
				'title' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.title',
						'config' => $conf_input_30_trimRequired,
				),
				'subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.subtitle',
						'config' => $conf_input_30_trim,
				),
				'datetime' => array(
						'exclude' => 0,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.datetime',
						'config' => $conf_datetime,
						// #69248, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'input',
								'size' => '8',
								'max' => '20',
								'eval' => 'date',
								'fromto' => true,
								'fromto_labels' => array(
										'from' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.datetime.from',
										'to' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.datetime.to',
								),
						),
				),
				'archivedate' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.archivedate',
						'config' => $conf_archivedate,
				),
				'tx_org_newscat' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.tx_org_newscat',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_news'
										, 'tx_org_newscat'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_newscat.' . $str_store_record_conf . ' '
										//. 'AND tx_org_newscat.pid=###CURRENT_PID### '
										. 'AND tx_org_newscat.deleted = 0 '
										. 'AND tx_org_newscat.hidden = 0 '
										. 'ORDER BY tx_org_newscat.title'
						),
						// #69248, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_newscat'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_newscat'
								),
								'foreign_table' => 'tx_org_newscat',
								'foreign_table_where' => 'AND tx_org_newscat.' . $str_store_record_conf . ' AND tx_org_newscat.deleted = 0 AND tx_org_newscat.hidden = 0 ORDER BY tx_org_newscat.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				// #t0717, 160702, dwildt
				'tx_org_newsgroup' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.tx_org_newsgroup',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_news'
										, 'tx_org_newsgroup'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_newsgroup.' . $str_store_record_conf . ' '
										//. 'AND tx_org_newsgroup.pid=###CURRENT_PID### '
										. 'AND tx_org_newsgroup.deleted = 0 '
										. 'AND tx_org_newsgroup.hidden = 0 '
										. 'ORDER BY tx_org_newsgroup.title'
						),
						// #69248, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_newsgroup'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_newsgroup'
								),
								'foreign_table' => 'tx_org_newsgroup',
								'foreign_table_where' => 'AND tx_org_newsgroup.' . $str_store_record_conf . ' AND tx_org_newsgroup.deleted = 0 AND tx_org_newsgroup.hidden = 0 ORDER BY tx_org_newsgroup.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'bodytext' => array(
						'exclude' => 0,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.bodytext',
						'config' => $conf_text_rte,
				),
				'page' => array(
						'exclude' => 0,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'url' => array(
						'exclude' => 0,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.url',
						'config' => $arr_wizard_url,
				),
				'tx_org_headquarters' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.tx_org_headquarters',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_news'
										, 'tx_org_headquarters'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_headquarters.' . $str_store_record_conf . ' '
										//. 'AND tx_org_headquarters.pid=###CURRENT_PID### '
										. 'AND tx_org_headquarters.deleted = 0 '
										. 'AND tx_org_headquarters.hidden = 0 '
										. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
										. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title'
						),
						// #69248, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_headquarters'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
// #i0257, 170807, dwildt				
//				'tx_org_news' => array(
//						'exclude' => 1,
//						'l10n_mode' => 'mergeIfNotBlank',
//						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.tx_org_news',
//						'config' => array(
//								'type' => 'select',
//								'size' => $size_headquarters,
//								'minitems' => 0,
//								'maxitems' => 999,
//								'MM' => 'tx_org_mm_all',
//								"MM_match_fields" => array(
//										'table_local' => 'tx_org_news',
//										'table_foreign' => 'tx_org_news'
//								),
//								"MM_insert_fields" => array(
//										'table_local' => 'tx_org_news',
//										'table_foreign' => 'tx_org_news'
//								),
//								'foreign_table' => 'tx_org_news',
//								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC',
//								'selectedListStyle' => $listStyleWidth,
//								'itemListStyle' => $listStyleWidth,
//						),
//						// #69248, 150821, dwildt, +
//						'config_filter' => array(
//								'type' => 'select',
//								'size' => 1,
//								'MM' => 'tx_org_mm_all',
//								"MM_match_fields" => array(
//										'table_local' => 'tx_org_news',
//										'table_foreign' => 'tx_org_news'
//								),
//								"MM_insert_fields" => array(
//										'table_local' => 'tx_org_news',
//										'table_foreign' => 'tx_org_news'
//								),
//								'foreign_table' => 'tx_org_news',
//								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY tx_org_news.datetime DESC',
//								'items' => array(
//										'empty' => array(
//												'0' => '',
//												'1' => '',
//										),
//								),
//						),
//				),
				'tx_org_staff' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.tx_org_staff',
						'config' => array(
								'type' => 'select',
								'size' => $size_headquarters,
								'minitems' => 0,
								'maxitems' => 999,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69248, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.' . $str_store_record_conf . ' AND tx_org_staff.deleted = 0 AND tx_org_staff.hidden = 0 AND (tx_org_staff.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_staff.sys_language_uid = -1) ORDER BY tx_org_staff.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'hidden' => $conf_hidden,
				'topnews' => $conf_topnews,
				'pages' => $conf_pages,
				'starttime' => $conf_starttime,
				'endtime' => $conf_endtime,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'l10n_mode' => 'prefixLangTitle',
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'l10n_mode' => 'prefixLangTitle',
						'config' => $conf_text_50_10,
				),
				'teaser_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.teaser_title',
						'config' => $conf_input_30_trim,
				),
				'teaser_subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.teaser_subtitle',
						'config' => $conf_input_30_trim,
				),
				'teaser_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.teaser_short',
						'config' => $conf_text_50_10,
				),
				'teaser_short_for_singleview' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.teaser_short_for_singleview',
						'config' => array(
								'type' => 'check',
								'default' => '0',
						),
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.marginal_title',
						'config' => $conf_input_30_trim,
				),
				'marginal_subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.marginal_subtitle',
						'config' => $conf_input_30_trim,
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.marginal_short',
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// Copy of record
				'notype' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  type,title;;;;1-1-1,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:date;datetime_archivedate,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_filters,'
						. '  tx_org_newscat,'
						. '  tx_org_newsgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_tx_org_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, topnews,--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_seo,'
						. '  seo_keywords,seo_description;;;;7-7-7, description,'
				,
				),
				'record' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  type,title;;;;1-1-1,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:date;datetime_archivedate,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_filters,'
						. '  tx_org_newscat,'
						. '  tx_org_newsgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,'
						. '  marginal_title;;;;6-6-6, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						// #t0773, 160721, dwildt, 1+
						. orgTcaTypesMedia( 'tx_org_event', $fal )
//      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_embedded,'
//      . '  embeddedcode,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_tx_org_news,'
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,'
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_staff,'
						. '  tx_org_staff,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, topnews,--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_seo,'
						. '  seo_keywords,seo_description;;;;7-7-7, description,'
				,
				),
				'page' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.palette_typepage;typepage,'
						. '  title;;;;1-1-1,subtitle,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:date;datetime_archivedate,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_filters,'
						. '  tx_org_newscat,'
						. '  tx_org_newsgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,   '
						. '  marginal_title;;;;6-6-6, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,    tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,    sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, topnews,--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
				'url' => array( 'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_news,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.palette_typeurl;typeurl,'
						. '  title;;;;1-1-1,subtitle,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts];3-3-3,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:date;datetime_archivedate,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_filters,'
						. '  tx_org_newscat,'
						. '  tx_org_newsgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_teaser,'
						. '  teaser_title;;;;6-6-6, teaser_subtitle, teaser_short, teaser_short_for_singleview,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_marginal,   '
						. '  marginal_title;;;;6-6-6, marginal_subtitle, marginal_short,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_company,    tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.div_control,'
						. '  sys_language_uid;;;;8-8-8, l10n_parent, l10n_diffsource, topnews,--palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'datetime_archivedate' => array(
						'showitem' => 'datetime, archivedate',
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_news.url'
						,
						'canNotCollapse' => 1,
				),
		),
);

// #t0773, 160720, dwildt, 2+
$tx_org_news[ 'columns' ] = ( array ) $tx_org_news[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_news', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal ) + ( array ) orgTcaColumnsMedia( 'tx_org_news', 'documents', $conf_file_document, $conf_input_80_trim, $fal )
;
$tx_org_news[ 'ctrl' ] = ( array ) $tx_org_news[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_news', $fal )
;
$tx_org_news[ 'palettes' ] = ( array ) $tx_org_news[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal ) + ( array ) orgTcaPalettesMedia( $fal )
;

return $tx_org_news;
