<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_newsgroup = array (
  'ctrl' => array (
    'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup',
    'label' => 'title',
    'tstamp' => 'tstamp',
    'crdate' => 'crdate',
    'default_sortby' => 'ORDER BY title',
    'delete' => 'deleted',
    'enablecolumns' => array (
      'disabled' => 'hidden',
    ),
    'hideAtCopy' => false,
    'dividers2tabs' => true,
    'thumbnail' => 'image',
    'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( 'org' ) . 'Resources/Public/Images/Icons/ExtIcon/tx_org_news.gif',
    'searchFields' => ''
    . 'title,title_lang_ol,uid_parent,'
    . 'hidden,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlImageSearchFields( $fal )
  ,
  ),
  'interface' => array (
    'showRecordFieldList' => ''
    . 'title,title_lang_ol,uid_parent,'
    . 'hidden,'
    // #t0773, 160720, dwildt, 1+
    . orgTcaCtrlImageSearchFields( $fal )
  ,
  ),
  'columns' => array (
    'title' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup.title',
      'config' => $conf_input_30_trimRequired,
    ),
    'title_lang_ol' => array (
      'exclude' => 0,
      'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup.title_lang_ol',
      'config' => $conf_input_30_trim,
    ),
    'uid_parent' => orgUidParent(
            'LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup.uid_parent', 'tx_org_newsgroup'
    ),
    'hidden' => $conf_hidden,
  ),
  'types' => array (
    '0' => array ( 'showitem' => ''
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup.div_cat,     title;;1;;1-1-1,uid_parent,'
      . '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_news.xml:tx_org_newsgroup.div_control, hidden,'
      // #t0773, 160720, dwildt, 1+
      . orgTcaTypesImage( 'small', $fal )
    ),
  ),
  'palettes' => array (
    '1' => array ( 'showitem' => 'title_lang_ol' ),
    '3' => array ( 'showitem' => 'imageseo' ),
  ),
);

// #t0773, 160720, dwildt, 2+
$tx_org_newsgroup[ 'columns' ] = ( array ) $tx_org_newsgroup[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_newsgroup', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal );
$tx_org_newsgroup[ 'palettes' ] = ( array ) $tx_org_newsgroup[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal );

return $tx_org_newsgroup;
