<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

// Configuration by the extension manager
require_once( PATH_typo3conf . 'ext/org/Configuration/ExtensionManager/simplifyer.php' );
// Default values and wizards
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/defaultValues.php' );
// #t0773, 160720, dwildt, 2+
require_once( PATH_typo3conf . 'ext/org/Configuration/TCA/Defaults/Media/image.php' );
$fal = !$confArr[ 'fal.' ][ 'disabled' ];

$tx_org_staff = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff',
				'label' => 'name_last',
				'label_alt' => 'name_first,title,tx_org_headquarters',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'languageField' => 'sys_language_uid',
				'transOrigPointerField' => 'l10n_parent',
				'transOrigDiffSourceField' => 'l10n_diffsource',
				'default_sortby' => 'ORDER BY name_last, name_first, title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
						'starttime' => 'starttime',
						'endtime' => 'endtime',
				),
				'dividers2tabs' => TRUE,
				'thumbnail' => 'image',
				'iconfile' => '../typo3conf/ext/org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.gif',
				'type' => 'type',
				'typeicon_column' => 'type',
				'searchFields' => ''
				. 'type,page,url,'
				. 'title,'
				. 'name_first,name_last,birthday,gender,'
				. 'bodytext,cols,vita,pi_flexform,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'tx_org_staffgroup,'
				. 'contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'tx_org_cal,'
				. 'tx_org_downloads,'
				. 'tx_org_headquarters,department'
				. 'tx_org_job,'
				. 'tx_org_service,'
				. 'tx_org_news,'
				. 'tx_org_event,'
				. 'tx_org_location,'
				. 'hidden,topitem,starttime,endtime,'
				,
				'useColumnsForDefaultValues' => ''
				. 'type,page,url,'
				. 'title,'
				. 'name_first,name_last,birthday,gender,'
				. 'bodytext,cols,vita,pi_flexform,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'tx_org_staffgroup,'
				. 'contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'tx_org_cal,'
				. 'tx_org_downloads,'
				. 'tx_org_headquarters,department'
				. 'tx_org_job,'
				. 'tx_org_service,'
				. 'tx_org_news,'
				. 'tx_org_event,'
				. 'tx_org_location,'
				. 'hidden,topitem,starttime,endtime,'
				,
				// #69256, 150821, dwildt, 1+
				'filter' => 'filter_for_all_fields',
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'type,page,url,'
				. 'title,'
				. 'prefix,name_first,name_last,birthday,gender,'
				. 'bodytext,cols,vita,'
				. 'marginal_title,marginal_subtitle,marginal_short,'
				. 'tx_org_staffgroup,'
				. 'contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
				// #t0773, 160720, dwildt, 1+
				. orgTcaCtrlImageSearchFields( $fal )
				. 'tx_org_cal,'
				. 'tx_org_downloads,'
				. 'tx_org_headquarters'
				. 'tx_org_job,'
				. 'tx_org_service,'
				. 'tx_org_news,'
				. 'tx_org_event,'
				. 'tx_org_location,'
				. 'hidden,topitem,starttime,endtime,'
		),
		'columns' => array(
				'sys_language_uid' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
						'config' => array(
								'type' => 'select',
								'renderType' => 'selectSingle',
								'special' => 'languages',
								'items' => array(
										array(
												'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
												-1,
												'flags-multiple'
										),
								),
								'default' => 0,
						)
				),
				'l10n_parent' => array(
						'displayCond' => 'FIELD:sys_language_uid:>:0',
						'exclude' => 1,
						'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
						'config' => array(
								'type' => 'select',
								'items' => array(
										array( '', 0 ),
								),
								'foreign_table' => 'tx_org_staff',
								'foreign_table_where' => 'AND tx_org_staff.uid=###REC_FIELD_l10n_parent### AND tx_org_staff.sys_language_uid IN (-1,0)',
						),
				),
				'l10n_diffsource' => array(
						'config' => array(
								'type' => 'passthrough'
						),
				),
				'type' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/tx_org_staff.gif',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/page.gif',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/url.gif',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
												'2' => 'EXT:org/Resources/Public/Images/Icons/ExtIcon/notype.gif',
										),
								),
								'default' => 'record',
						),
						// #69256, 150821, dwildt, 1+
						'config_filter' => array(
								'type' => 'select',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
										'record' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_record',
												'1' => 'record',
										),
										'page' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_page',
												'1' => 'page',
										),
										'url' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_url',
												'1' => 'url',
										),
										'notype' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type_notype',
												'1' => 'notype',
										),
								),
						),
				),
				'page' => array(
						'exclude' => 0,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page',
						'config' => array(
								'type' => 'group',
								'internal_type' => 'db',
								'allowed' => 'pages',
								'size' => '1',
								'maxitems' => '1',
								'minitems' => '1',
								'show_thumbs' => '1',
								// #i0199, 170310, dwildt, 7+
								'wizards' => array(
										'_PADDING' => 2,
										'_VERTICAL' => 1,
										'suggest' => array(
												'type' => 'suggest'
										),
								),
						),
				),
				'url' => array(
						'exclude' => 0,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url',
						'config' => $arr_wizard_url,
				),
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.title',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim,required',
						)
				),
				'prefix' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.prefix',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'trim',
						)
				),
				'name_first' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_first',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,trim',
						)
				),
				'name_last' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_last',
						'l10n_mode' => 'prefixLangTitle',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required,trim',
						)
				),
				'birthday' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.birthday',
						'config' => array(
								'type' => 'input',
								'size' => '8',
								'max' => '20',
								'eval' => 'date',
								'checkbox' => '0',
								'default' => '0',
//        'range' => array(
//          'upper' => mktime(3, 14, 7, 1, 19, 2038),
//          'lower' => mktime(0, 0, 0, date('m') - 1, date('d'), date('Y'))
//        )
						)
				),
				'gender' => array(
						'exclude' => 1,
						'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender',
						'config' => array(
								'type' => 'select',
								'items' => array(
										'unknown' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_unknown',
												'1' => '',
										),
										'male' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_male',
												'1' => 'male',
										),
										'female' => array(
												'0' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender_female',
												'1' => 'female',
										),
								),
								'default' => '',
						),
				),
				'bodytext' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.bodytext',
						// ##t0717, dwildt, ~
						'config' => $conf_text_rte,
						'XXXconfig' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'wizards' => array(
										'_PADDING' => 2,
										'RTE' => array(
												'notNewRecords' => 1,
												'RTEonly' => 1,
												'type' => 'script',
												'title' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:wizard.rte.fullscreen',
												'icon' => 'wizard_rte2.gif',
												'script' => 'wizard_rte.php',
										),
								),
						)
				),
				'vita' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.vita',
						'config' => array(
								'type' => 'text',
								'cols' => '30',
								'rows' => '5',
								'wizards' => array(
										'_PADDING' => 2,
										'table' => $TCA[ 'tt_content' ][ 'columns' ][ 'bodytext' ][ 'config' ][ 'wizards' ][ 'table' ],
								),
						)
				),
				'marginal_title' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.marginal_title',
						'config' => $conf_input_30_trim,
				),
				'marginal_subtitle' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.marginal_subtitle',
						'config' => $conf_input_30_trim,
				),
				'marginal_short' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.marginal_short',
						'config' => $conf_text_50_10,
				),
				'tx_org_staffgroup' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_staffgroup',
						// #t0714, 160719, dwildt, ~
						'config' => orgConfigSelectTree(
										'tx_org_staff'
										, 'tx_org_staffgroup'
										, ''
										// #i0191, 170218, dwildt
										. 'AND tx_org_staffgroup.' . $str_store_record_conf . ' '
										//. 'AND tx_org_staffgroup.pid=###CURRENT_PID### '
										. 'AND tx_org_staffgroup.deleted = 0 '
										. 'AND tx_org_staffgroup.hidden = 0 '
										. 'ORDER BY tx_org_staffgroup.title'
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_staff',
										'table_foreign' => 'tx_org_staffgroup'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_staff',
										'table_foreign' => 'tx_org_staffgroup'
								),
								'foreign_table' => 'tx_org_staffgroup',
								'foreign_table_where' => 'AND tx_org_staffgroup.' . $str_store_record_conf . ' AND tx_org_staffgroup.deleted = 0 AND tx_org_staffgroup.hidden = 0 ORDER BY tx_org_staffgroup.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'contact_email' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_email',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'contact_fax' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_fax',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'contact_phone' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_phone',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'contact_mobile' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_mobile',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'contact_skype' => array(
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.contact_skype',
						'exclude' => 1,
						'config' => $conf_input_30_trim,
				),
				'contact_url' => array(
						'exclude' => 1,
//      'l10n_mode' => 'exclude',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url',
						'config' => $arr_wizard_url,
				),
				'tx_org_downloads' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_downloads',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_downloads',
								'foreign_table_where' => 'AND tx_org_downloads.' . $str_store_record_conf . ' AND tx_org_downloads.deleted = 0 AND tx_org_downloads.hidden = 0 AND (tx_org_downloads.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_downloads.sys_language_uid = -1) ORDER BY tx_org_downloads.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_downloads',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_downloads',
								'foreign_table_where' => 'AND tx_org_downloads.' . $str_store_record_conf . ' AND tx_org_downloads.deleted = 0 AND tx_org_downloads.hidden = 0 AND (tx_org_downloads.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_downloads.sys_language_uid = -1) ORDER BY tx_org_downloads.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_headquarters' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_headquarters',
						'config' => array(
								'autoSizeMax' => 50,
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => ''
								. 'AND tx_org_headquarters.' . $str_store_record_conf . ' '
								. 'AND tx_org_headquarters.deleted = 0 '
								. 'AND tx_org_headquarters.hidden = 0 '
								. 'AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) '
								. 'ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'maxitems' => 9999,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								'renderMode' => 'tree', // TYPO3 6.x
								'renderType' => 'selectTree', // TYPO3 7.x
								'size' => 10,
								'treeConfig' => array(
										'parentField' => 'uid_parent',
										'appearance' => array(
												'expandAll' => true,
												'showHeader' => true,
												'maxLevels' => 99,
										),
								),
								'type' => 'select',
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_headquarters',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_headquarters',
								'foreign_table_where' => 'AND tx_org_headquarters.' . $str_store_record_conf . ' AND tx_org_headquarters.deleted = 0 AND tx_org_headquarters.hidden = 0 AND (tx_org_headquarters.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_headquarters.sys_language_uid = -1) ORDER BY tx_org_headquarters.mail_city, tx_org_headquarters.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_job' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_job',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_job',
								'foreign_table_where' => 'AND tx_org_job.' . $str_store_record_conf . ' AND tx_org_job.deleted = 0 AND tx_org_job.hidden = 0 AND (tx_org_job.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_job.sys_language_uid = -1) ORDER BY tx_org_job.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_job',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_job',
								'foreign_table_where' => 'AND tx_org_job.' . $str_store_record_conf . ' AND tx_org_job.deleted = 0 AND tx_org_job.hidden = 0 AND (tx_org_job.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_job.sys_language_uid = -1) ORDER BY tx_org_job.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_service' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_service',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_service',
								'foreign_table_where' => 'AND tx_org_service.' . $str_store_record_conf . ' AND tx_org_service.deleted = 0 AND tx_org_service.hidden = 0 AND (tx_org_service.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_service.sys_language_uid = -1) ORDER BY tx_org_service.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_service',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_service',
								'foreign_table_where' => 'AND tx_org_service.' . $str_store_record_conf . ' AND tx_org_service.deleted = 0 AND tx_org_service.hidden = 0 AND (tx_org_service.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_service.sys_language_uid = -1) ORDER BY tx_org_service.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_news' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_news',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 9999,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY datetime DESC, title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_news',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_news',
								'foreign_table_where' => 'AND tx_org_news.' . $str_store_record_conf . ' AND tx_org_news.deleted = 0 AND tx_org_news.hidden = 0 AND (tx_org_news.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_news.sys_language_uid = -1) ORDER BY datetime DESC, title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_event' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_event',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_event',
								'foreign_table_where' => 'AND tx_org_event.' . $str_store_record_conf . ' AND tx_org_event.deleted = 0 AND tx_org_event.hidden = 0 AND (tx_org_event.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_event.sys_language_uid = -1) ORDER BY tx_org_event.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_event',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_event',
								'foreign_table_where' => 'AND tx_org_event.' . $str_store_record_conf . ' AND tx_org_event.deleted = 0 AND tx_org_event.hidden = 0 AND (tx_org_event.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_event.sys_language_uid = -1) ORDER BY tx_org_event.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_location' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_location',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND (tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_location',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_location',
								'foreign_table_where' => 'AND tx_org_location.' . $str_store_record_conf . ' AND tx_org_location.deleted = 0 AND tx_org_location.hidden = 0 AND (tx_org_location.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_location.sys_language_uid = -1) ORDER BY tx_org_location.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'tx_org_cal' => array(
						'exclude' => 1,
						'l10n_mode' => 'mergeIfNotBlank',
						'label' => 'LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.tx_org_cal',
						'config' => array(
								'type' => 'select',
								'size' => 20,
								'minitems' => 0,
								'maxitems' => 99,
								'items' => array(
										'0' => array(
												'0' => '',
												'1' => '',
										),
								),
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.title',
								'selectedListStyle' => $listStyleWidth,
								'itemListStyle' => $listStyleWidth,
						),
						// #69256, 150821, dwildt, +
						'config_filter' => array(
								'type' => 'select',
								'size' => 1,
								'MM' => 'tx_org_mm_all',
								'MM_opposite_field' => 'tx_org_staff',
								"MM_match_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								"MM_insert_fields" => array(
										'table_local' => 'tx_org_cal',
										'table_foreign' => 'tx_org_staff'
								),
								'foreign_table' => 'tx_org_cal',
								'foreign_table_where' => 'AND tx_org_cal.' . $str_store_record_conf . ' AND tx_org_cal.deleted = 0 AND tx_org_cal.hidden = 0 AND (tx_org_cal.sys_language_uid = ###REC_FIELD_sys_language_uid### OR tx_org_cal.sys_language_uid = -1) ORDER BY tx_org_cal.title',
								'items' => array(
										'empty' => array(
												'0' => '',
												'1' => '',
										),
								),
						),
				),
				'hidden' => $conf_hidden,
				'topitem' => $conf_topitem,
				'starttime' => $conf_starttime,
				'endtime' => $conf_endtime,
				'fe_cruser_id' => $conf_fecruserid,
				'fe_group' => $conf_fegroup,
				'seo_keywords' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_keywords',
						'config' => $conf_input_80_trim,
				),
				'seo_description' => array(
						'exclude' => 1,
						'l10n_mode' => 'prefixLangTitle',
						'label' => 'LLL:EXT:org/Resources/Private/Language/locallang_db.xml:tca_phrase.seo_description',
						'config' => $conf_text_50_10,
				),
		),
		'types' => array(
				'noitem' => array(
						'showitem' => 'This is a copy of the type record. See allocation below this array configuration.'
				),
				// notype is a copy of record
				'notype' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],vita;;9;nowrap:wizards[table],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  tx_org_staffgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  tx_org_downloads,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_job, '
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_service, '
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_news, '
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_event, '
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_location, '
						. '  tx_org_location,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'record' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  type,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],vita;;9;nowrap:wizards[table],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  tx_org_staffgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/6x/cms/locallang_ttc.xlf:tabs.media,'
						. '  tx_org_downloads,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_job, '
						. '  tx_org_job,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_service, '
						. '  tx_org_service,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_news, '
						. '  tx_org_news,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_event, '
						. '  tx_org_event,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_location, '
						. '  tx_org_location,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_seo,'
						. '  seo_keywords, seo_description,'
				,
				),
				'page' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typepage;typepage,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],vita;;9;nowrap:wizards[table],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  tx_org_staffgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
				'url' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_particulars, '
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette_typeurl;typeurl,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_name;name,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.palette_birthday;birthday,'
						. '  bodytext;;;richtext[]:rte_transform[mode=ts],vita;;9;nowrap:wizards[table],'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_marginal,'
						. '  marginal_title,marginal_subtitle,marginal_short,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_group, '
						. '  tx_org_staffgroup,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_contact, '
						. '  contact_email,contact_fax,contact_phone,contact_mobile,contact_skype,contact_url,'
						// #t0773, 160720, dwildt, 1+
						. orgTcaTypesImage( 'big', $fal )
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_cal, '
						. '  tx_org_cal,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_company, '
						. '  tx_org_headquarters,'
						. '--div--;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.div_control,'
						. '  --palette--;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:palette.control;control,'
				,
				),
		),
		'palettes' => array(
				'birthday' => array(
						'showitem' => ''
						. 'birthday;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.birthday,'
						. 'gender;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.gender'
						,
						'canNotCollapse' => 1,
				),
				'control' => array(
						'showitem' => ''
						. 'topitem,hidden,--linebreak--,'
						. 'starttime,endtime,--linebreak--,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'name' => array(
						'showitem' => ''
						. 'title;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.title, --linebreak--,'
						. 'prefix;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.prefix,'
						. 'name_first;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_first,'
						. 'name_last;LLL:EXT:org/Resources/Private/Language/tx_org_staff.xml:tx_org_staff.name_last'
						,
						'canNotCollapse' => 1,
				),
				'typepage' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'page;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:page'
						,
						'canNotCollapse' => 1,
				),
				'typeurl' => array(
						'showitem' => ''
						. 'type;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:type,'
						. 'url;LLL:EXT:org/Resources/Private/Language/locallang_db.xml:url'
						,
						'canNotCollapse' => 1,
				),
		)
);

// #t0773, 160720, dwildt, 2+
$tx_org_staff[ 'columns' ] = ( array ) $tx_org_staff[ 'columns' ] + ( array ) orgTcaColumnsImage( 'tx_org_staff', $conf_file_image, $conf_text_30_05, $arr_wizard_url, $fal );
$tx_org_staff[ 'ctrl' ] = ( array ) $tx_org_staff[ 'ctrl' ] + ( array ) orgTcaColumnsTypeicons( 'tx_org_staff', $fal )
;
$tx_org_staff[ 'palettes' ] = ( array ) $tx_org_staff[ 'palettes' ] + ( array ) orgTcaPalettesImage( $fal );

return $tx_org_staff;
