plugin.tx_browser_pi1 {
  views {
    single {
      201 {
          // 140706: empty statement: for proper comments only
        tx_org_cal {
        }
					// fe_cruser_id, title, datetime
        tx_org_cal =
        tx_org_cal {
					fe_cruser_id < plugin.tx_browser_pi6.interface.record
            // 10: image in case of above ... and beside ... 20: text. 30: image in case of below ...
          title < plugin.tx_browser_pi1.displaySingle.master_templates.tableFields.imageText.0
          title {
            20 {
              0 {
                10 >
                  // bookmarks, header, subtitle, dateline and length, bodytext, length, location, organiser
                10 = COA
                10 {
                    // socialmedia_bookmarks
                  10 = TEXT
                  10 {
                    value = ###SOCIALMEDIA_BOOKMARKS###
                    wrap = <div class="###CSSVISLARGETO### socialbookmarks">|</div>
                  }
                    // header
                  20 = TEXT
                  20 {
                    //field = tx_org_event.title // tx_org_cal.title
											// value.stdWrap.cObject - internal #i0374
										value =
										value {
											stdWrap {
												cObject = CASE
												cObject {
														// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													key =
													key {
														field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													}
													default = TEXT
													default {
														field = tx_org_cal.title
													}
													tx_org_event = TEXT
													tx_org_event {
														field = tx_org_event.title
													}
												}
											}
										}
                    wrap = <h1>|</h1>
                  }
                    // tx_org_cal.subtitle
                  21 = TEXT
                  21 {
                    //field = tx_org_event.subtitle // tx_org_cal.subtitle
											// value.stdWrap.cObject - internal #i0374
										value =
										value {
											stdWrap {
												cObject = CASE
												cObject {
														// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													key =
													key {
														field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													}
													default = TEXT
													default {
														field = tx_org_cal.subtitle
													}
													tx_org_event = TEXT
													tx_org_event {
				                    field = tx_org_event.subtitle 
													}
												}
											}
										}
                    wrap = <h2>|</h2>
                    required = 1
                  }
                    // dateline and length
                  24 < temp.tx_org_cal.datelineAndLength.single
                    // teaser_short // bodytext
                  30 = COA
                  30 {
	                    // teaser_short
                    10 = TEXT
                    10 {
											if {
												isTrue {
													//field = tx_org_cal.teaser_short_for_singleview
														// stdWrap.cObject - internal #i0374
													stdWrap =
													stdWrap {
														cObject = CASE
														cObject {
																// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
															key =
															key {
																field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
															}
															default = TEXT
															default {
																field = tx_org_cal.teaser_short_for_singleview
															}
															tx_org_event = TEXT
															tx_org_event {
																field = tx_org_cal.teaser_short_for_singleview
															}
														}
													}
												}
											}
											//field = tx_org_cal.teaser_short
												// value.stdWrap.cObject - internal #i0374
											value =
											value {
												stdWrap {
													cObject = CASE
													cObject {
															// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
														key =
														key {
															field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
														}
														default = TEXT
														default {
															field = tx_org_cal.teaser_short
														}
														tx_org_event = TEXT
														tx_org_event {
															field = tx_org_event.teaser_short
														}
													}
												}
											}
                      wrap = <p class="teaser_short">|</p>
                    }
	                    // bodytext
										20 = TEXT
										20 {
											//field = tx_org_event.bodytext // tx_org_cal.bodytext
												// value.stdWrap.cObject - internal #i0374
											value =
											value {
												stdWrap {
													cObject = CASE
													cObject {
															// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
														key =
														key {
															field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
														}
														default = TEXT
														default {
															field = tx_org_cal.bodytext
														}
														tx_org_event = TEXT
														tx_org_event {
															field = tx_org_cal.bodytext // tx_org_event.bodytext
														}
													}
												}
											}
											required = 1
											stdWrap {
												parseFunc < lib.parseFunc_RTE
											}
										}
                  }
                    // length
                  31 = TEXT
                  31 {
                    //field = tx_org_event.length
											// value.stdWrap.cObject - internal #i0374
										value =
										value {
											stdWrap {
												cObject = CASE
												cObject {
														// key.field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													key =
													key {
														field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
													}
													default = TEXT
													default {
														field = tx_org_cal.length
													}
													tx_org_event = TEXT
													tx_org_event {
				                    field = tx_org_cal.length // tx_org_event.length
													}
												}
											}
										}
                    required = 1
                    stdWrap {
                      parseFunc < lib.parseFunc_RTE
                    }
                  }
                    // tx_org_cal.organiser, tx_org_cal.organiserurl
                  40 = COA
                  40 {
											// if isTrue (tx_org_cal.organiser or tx_org_cal.organiserurl)
										if =
										if {
											isTrue {
												field = tx_org_cal.organiser // tx_org_cal.organiserurl
											}
										}
										wrap = <p class="tx_org_cal.organiser">|</p>
											// label: tx_org_cal.organiser
										10 = TEXT
										10 {
											data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.organiser
											noTrimWrap = |<span class="title">|:</span> |
										}
	                    // tx_org_cal.organiser, tx_org_cal.organiserurl
										20 = TEXT
										20 {
											field = tx_org_cal.organiser
											typolink {
												parameter {
													cObject = COA
													cObject {
														// url
														10 = TEXT
														10 {
															field = tx_org_cal.organiserurl
														}
															// target
														20 = TEXT
														20 {
															value       = -
															noTrimWrap  = | "|"|
														}
															// class
														30 = TEXT
														30 {
															value       = external-link-new-window
															noTrimWrap  = | "|"|
														}
															// title
														40 = TEXT
														40 {
															field = tx_org_cal.organiserurl
															stdWrap {
																stripHtml         = 1
																htmlSpecialChars  = 1
																crop              = 100
															}
															noTrimWrap  = | "|"|
														}
													}
												}
											}
											required = 1
											noTrimWrap = |<span class="value">|</span>|
										}
                  }
                    // tx_org_cal.location, tx_org_cal.locationurl
                  41 = COA
                  41 {
											// if isTrue (tx_org_cal.location or tx_org_cal.locationurl)
										if =
										if {
											isTrue {
												field = tx_org_cal.location // tx_org_cal.locationurl
											}
										}
										wrap = <p class="tx_org_cal.location">|</p>
											// label: tx_org_cal.location
										10 = TEXT
										10 {
											data = LLL:EXT:org/Resources/Private/Language/tx_org_cal.xml:tx_org_cal.location
											noTrimWrap = |<span class="title">|:</span> |
										}
	                    // tx_org_cal.location, tx_org_cal.locationurl
										20 = TEXT
										20 {
											field = tx_org_cal.location
											typolink {
												parameter {
													cObject = COA
													cObject {
														// url
														10 = TEXT
														10 {
															field = tx_org_cal.locationurl
														}
															// target
														20 = TEXT
														20 {
															value       = -
															noTrimWrap  = | "|"|
														}
															// class
														30 = TEXT
														30 {
															value       = external-link-new-window
															noTrimWrap  = | "|"|
														}
															// title
														40 = TEXT
														40 {
															field = tx_org_cal.locationurl
															stdWrap {
																stripHtml         = 1
																htmlSpecialChars  = 1
																crop              = 100
															}
															noTrimWrap  = | "|"|
														}
													}
												}
											}
											required = 1
											noTrimWrap = |<span class="value">|</span>|
										}
                  }
										// Files, if.isTrue.field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documents}
									45 = COA
									45 {
											// if.isTrue.field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documents}
										if =
										if {
											isTrue =
											isTrue {
												field = {$plugin.org.table.tx_org_cal}.{$plugin.org.table.tx_org_cal.field.documents}
											}
										}
										10 = TEXT
										10 {
											data = LLL:EXT:org/Resources/Private/Language/locallang_db.xml:phrase_files
											wrap = {$plugin.org.table.tx_org_cal.documentstitlewrap}
										}
										20 < plugin.tx_org.templates.uploads.tx_org_cal							
									}
                    // backbutton
                  50 = TEXT
                  50 {
                    value (
                      <!-- ###AREA_FOR_AJAX_LIST_01### end -->
                      <!-- ###BACKBUTTON### begin -->
                      <p class="backbutton">
                        ###MY_SINGLEVIEWBACKBUTTON###
                      </p>
                      <!-- ###BACKBUTTON### end -->
                      <!-- ###AREA_FOR_AJAX_LIST_02### begin -->
)
                  }
                }
                20 >
                30 >
              }
              1 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              2 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              8 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              9 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              10 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              17 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              18 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              25 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
              26 {
                10 >
                10 < plugin.tx_browser_pi1.views.single.201.tx_org_cal.title.20.0.10
              }
            }
          }
            // margin: datesheet
          datetime = COA
          datetime {
            wrap = |
            10 = COA
            10 {
              10 = COA
              10 {
                if {
                  isTrue {
                    field = tx_org_cal.datetime
                  }
                }
                  // 10: date isn't expired
                10 = COA
                10 {
                  if {
                    value {
                      data = date : U
                      //data = date : Y
                    }
                    isGreaterThan {
                      field = tx_org_cal.datetime
                      //strftime  = %Y
                    }
                  }
                  wrap = <ul class="vcard datesheet">|</ul><!-- vcard -->
                    // name of weekday
                  10 = TEXT
                  10 {
                    field = tx_org_cal.datetime
                    strftime  = %a
                    wrap = <li class="weekday">|</li>
                  }
                    // day of month as number
                  20 < .10
                  20 {
                    strftime  = %d
                    wrap      = <li class="day_of_month">|</li>
                  }
                    // month year
                  30 < .10
                  30 {
                    strftime  = %b %y
                    wrap      = <li class="month">|</li>
                  }
                    // time
                  40 < .10
                  40 {
                    strftime = %H:%M
                    XXXstrftime {
                      stdWrap {
                        cObject = TEXT
                        cObject {
                          value = %H:%M h
                          lang {
                            de = %H:%M Uhr
                            en = %H:%M h
                          }
                        }
                      }
                    }
                    wrap = <li class="time">|</li>
                  }
                }
                  // 20: date is expired
                20 < .10
                20 {
                  if {
                    negate = 1
                  }
                  wrap = <ul class="vcard datesheet datesheet_expired">|</ul><!-- vcard -->
                }
              }
            }
          }
        }
      }
    }
  }
}