plugin.tx_browser_pi1 {
  views {
    list {
      209 {
          // empty statement for proper commands only
        tx_org_cal {
        }
          // crdate (for radialsearch), deleted (for radialsearch), title
        tx_org_cal =
        tx_org_cal {
            // 10: bookmarks, title, subtitle, tx_org_caltype.title, image, teaser_short, location. 20: datesheet, caddy button
          title = COA
          title {
              // 10 (margin): datesheet, caddy button
            10 = COA
            10 {
              wrap = <div class="{$plugin.org.templates.cal.209.column.1.class}">|</div>
                // datesheet
              10 = COA
              10 {
                if {
                  isTrue {
                    field = tx_org_cal.datetime
                  }
                }
                  // 10: date isn't expired
                10 = COA
                10 {
                  if {
                    value {
                      data = date : U
                      //data = date : Y
                    }
                    isGreaterThan {
                      field = tx_org_cal.datetime
                      //strftime  = %Y
                    }
                  }
                  wrap = <ul class="vcard datesheet">|</ul><!-- vcard -->
                    // name of weekday
                  10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.details.5
                  10 {
                    default {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = %a
                      wrap = <li class="weekday">|</li>
                    }
                    notype {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = %a
                      wrap = <li class="weekday">|</li>
                    }
                    page {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = %a
                      wrap = <li class="weekday">|</li>
                    }
                    tx_org_event < plugin.tx_browser_pi1.displayList.master_templates.tableFields.details.6
                    tx_org_event {
                      default {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = %a
                        wrap = <li class="weekday">|</li>
                      }
                      notype {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = %a
                        wrap = <li class="weekday">|</li>
                      }
                      page {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = %a
                        wrap = <li class="weekday">|</li>
                      }
                      url {
                        value >
                        lang >
                        field = tx_org_cal.datetime
                        strftime  = %a
                        wrap = <li class="weekday">|</li>
                      }
                    }
                    url {
                      value >
                      lang >
                      field = tx_org_cal.datetime
                      strftime  = %a
                      wrap = <li class="weekday">|</li>
                    }
                  }
                    // day of month as number
                  20 < .10
                  20 {
                    default {
                      strftime  = %d
                      wrap      = <li class="day_of_month">|</li>
                    }
                    notype {
                      strftime  = %d
                      wrap      = <li class="day_of_month">|</li>
                    }
                    page {
                      strftime  = %d
                      wrap      = <li class="day_of_month">|</li>
                    }
                    tx_org_event {
                      default {
                        strftime  = %d
                        wrap      = <li class="day_of_month">|</li>
                      }
                      notype {
                        strftime  = %d
                        wrap      = <li class="day_of_month">|</li>
                      }
                      page {
                        strftime  = %d
                        wrap      = <li class="day_of_month">|</li>
                      }
                      url {
                        strftime  = %d
                        wrap      = <li class="day_of_month">|</li>
                      }
                    }
                    url {
                      strftime  = %d
                      wrap      = <li class="day_of_month">|</li>
                    }
                  }
                    // month year
                  30 < .10
                  30 {
                    default {
                      strftime  = %b %y
                      wrap      = <li class="month">|</li>
                    }
                    notype {
                      strftime  = %b %y
                      wrap      = <li class="month">|</li>
                    }
                    page {
                      strftime  = %b %y
                      wrap      = <li class="month">|</li>
                    }
                    tx_org_event {
                      default {
                        strftime  = %b %y
                        wrap      = <li class="month">|</li>
                      }
                      notype {
                        strftime  = %b %y
                        wrap      = <li class="month">|</li>
                      }
                      page {
                        strftime  = %b %y
                        wrap      = <li class="month">|</li>
                      }
                      url {
                        strftime  = %b %y
                        wrap      = <li class="month">|</li>
                      }
                    }
                    url {
                      strftime  = %b %y
                      wrap      = <li class="month">|</li>
                    }
                  }
                }
                  // 20: date is expired
                20 < .10
                20 {
                  if {
                    negate = 1
                  }
                  wrap = <ul class="vcard datesheet datesheet_expired">|</ul><!-- vcard -->
                }
              }
						}
						20 = COA
            20 {
              wrap = <div class="{$plugin.org.templates.cal.209.column.2.class}">|</div>
								// header
							20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.5
                // subtitle
              30 = TEXT
              30 {
                field = tx_org_event.teaser_subtitle // tx_org_event.subtitle // tx_org_cal.marginal_subtitle // tx_org_cal.teaser_subtitle // tx_org_cal.subtitle
                wrap = <h3>|</h3>
                required = 1
              }
                // location
              50 = COA
              50 {
								if {
									isTrue {
										field = tx_org_location.mail_city // tx_org_location.mail_postcode // tx_org_cal.location
									}
								}
								10 = TEXT
								10 {
									field       = tx_org_location.mail_postcode
									noTrimWrap  = || |
									required    = 1
								}
								20 = TEXT
								20 {
									field       = tx_org_location.mail_city // tx_org_cal.location
									required    = 1
								}
                wrap = <p class="location">|</p>
              }
            }
          }
        }
      }
    }
  }
}

