plugin.tx_browser_pi1 {
  views {
    list {
      220 {
        tx_org_cal {
            // dateline, title
          title = COA
          title {
							// first row
						10 = COA
						10 {
								// dateline
							10 = TEXT
							10 {
								field     = tx_org_cal.datetime
								strftime  = %d. %b, %H:%M
								postCObject = TEXT
								postCObject {
									value = h
									lang {
										de = Uhr
										en = h
									}
									noTrimWrap = | ||
								}
								wrap (

									<th class="small-12 large-4 columns first">
										<table>
											<tr>
												<th>
													|
												</th>
											</tr>
										</table>
									</th>
)
							}
							20 = COA
							20 {
									// teaser_titel or title
								10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.5
								10 {
									default {
										// field := prependString(tx_org_cal.marginal_title // )
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									notype {
										// field := prependString(tx_org_cal.marginal_title // )
										wrap = <span class="header">|</span>
									}
									page {
										// field := prependString(tx_org_cal.marginal_title // )
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									url {
										// field := prependString(tx_org_cal.marginal_title // )
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
								}
									// tx_org_cal.teaser_subtitle or tx_org_cal.subtitle
								20 = TEXT
								20 {
									field     = tx_org_cal.teaser_subtitle // tx_org_cal.subtitle
									required	= 1
									wrap = <br /><span class="subtitle">|</span>
								}
									// tx_org_cal.teaser_short or tx_org_cal.bodytext
								30 = TEXT
								30 {
									field     = tx_org_cal.teaser_short // tx_org_cal.bodytext
									required	= 1
									wrap = <br /><span class="short">|</span>
									stdWrap {
										stripHtml         = 1
										htmlSpecialChars  = 0
										crop = 180 | &nbsp;... | 1
									}
								}
								stdWrap {
									wrap (

										<th class="small-12 large-8 columns last">
											<table>
												<tr>
													<th>
														|
													</th>
												</tr>
											</table>
										</th>
										<th class="expander"></th>
)
								}
							}
							wrap = <tr>|</tr>
						}
						wrap (

							<tr>
								<th>
									<table>
												|
									</table>
								</th>
							</tr>
)
					}
				}
      }
    }
  }
}