plugin.tx_browser_pi1 {
  jQuery {
    plugin {
      jstree {
				enable				= 1
        tablefield_01 = tx_org_eventcat.title
      }
    }
  }
  navigation {
    showUid = calendarUid
  }

  templates {
    listview {
      header {
        0 {
          field   = tx_org_event.teaser_title // tx_org_event.title
        }
      }
      image {
        0 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_event_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_event.image
					height				= imageheight
          heightDefault = 70c
          path      = uploads/tx_org/
          seo       = tx_org_event.imageseo
          // internal #t0774
          table     = tx_org_event
					width 				= imagewidth
          widthDefault	= 70
        }
      }
      text {
        0 {
          crop    = 200 | ... | 1
          field   = tx_org_event.teaser_short // tx_org_event.bodytext
        }
      }
      url {
        0 {
          key       = tx_org_event.type // type
          page      = tx_org_event.page // page
          record    = tx_org_event.uid  // uid
          showUid   = calendarUid
          singlePid =
          url       = tx_org_event.url // url
        }
      }
    }
    singleview {
      image {
        0 {
          caption     = tx_org_event.imagecaption
          // internal #t0774
          field       = image
          firstForListOnly  = tx_org_event.image_1stforlistonly
          file        = tx_org_event.image
          height      = tx_org_event.imageheight
          imagecols   = tx_org_event.imagecols
          imageorient = tx_org_event.imageorient
          path        = uploads/tx_org/
          seo         = tx_org_event.imageseo
          // internal #t0774
          table       = tx_org_event
          width       = tx_org_event.imagewidth
          zoom        = tx_org_event.image_zoom
        }
      }
      text {
        0 {
          header    = tx_org_event.title
          bodytext  = tx_org_event.bodytext // tx_org_event.teaser_short
        }
      }
    }
  }
}