plugin.tx_browser_pi1 {
  jQuery {
    plugin {
      jstree {
				enable				= 1
        tablefield_01 = tx_org_locationcat.title
      }
    }
  }
  map {
    aliases {
      showUid {
        marker = locationUid
      }
    }
    controlling {
      enabled = Map
    }
    design {
      height  = 366
      imgPath = typo3conf/ext/browser/Resources/Public/JavaScript/Map/oxMap/themes/orange/
      path {
        categoryIcon  = uploads/tx_org/
      }
      width   = 720
    }
    icon {
      listNum {
        categoryIconMap       = 1
        categoryIconMapSingle = 2
      }
    }
    marker {
      field {
        linktoSingle      = tx_org_location.uid
        latitude          = tx_org_location.mail_lat
        longitude         = tx_org_location.mail_lon
        description       = tx_org_location.title
        category          = tx_org_locationcat.title
        categoryIcon      = tx_org_locationcat.icons
        categoryOffsetX   = tx_org_locationcat.icon_offset_x
        categoryOffsetY   = tx_org_locationcat.icon_offset_y
      }
    }
    mobileTouchscreen = 1
  }
  navigation {
    showUid = locationUid
  }
  radialsearch {
    lat = tx_org_location.mail_lat
    lon = tx_org_location.mail_lon
    uid = tx_org_location.uid
  }
  templates {
    listview {
      header {
        0 {
          field   = tx_org_location.teaser_title // tx_org_location.title
        }
      }
      image {
        0 {
          default   = EXT:org/Resources/Public/Images/Icons/Default/tx_org_location_300x200.png
          // internal #t0774
          field     = image
          file      = tx_org_location.image
					height				= imageheight
          heightDefault = 90c
          path      = uploads/tx_org/
          seo       = tx_org_location.imageseo
          // internal #t0774
          table     = tx_org_location
					width 				= imagewidth
          widthDefault	= 220
        }
      }
      text {
        0 {
          field   = tx_org_location.teaser_short // tx_org_location.bodytext
        }
      }
      url {
        0 {
          key       = tx_org_location.type
          page      = tx_org_location.page
          record    = tx_org_location.uid
          showUid   = locationUid
          singlePid =
          url       = tx_org_location.url
        }
      }
    }
    singleview {
      image {
        0 {
          caption     = tx_org_location.imagecaption
          // internal #t0774
          field       = image
          firstForListOnly  = tx_org_location.image_1stforlistonly
          file        = tx_org_location.image
          height      = tx_org_location.imageheight
          imagecols   = tx_org_location.imagecols
          imageorient = tx_org_location.imageorient
          path        = uploads/tx_org/
          seo         = tx_org_location.imageseo
          // internal #t0774
          table       = tx_org_location
          width       = tx_org_location.imagewidth
        }
      }
    }
  }
}