plugin.tx_seodynamictag {

  canonical {
    enabled = 1
    single {
      additionalParams = &tx_browser_pi1[locationUid]={GP:tx_browser_pi1|locationUid}
    }
  }

  condition {
    single {
      begin = globalVar = GP:tx_browser_pi1|locationUid > 0] && [globalVar = TSFE:id = xxx
    }
  }

  database {
    field {
      description = description // seo_description // marginal_short // teaser_short // short // bodytext // title
      keywords = seo_keywords
      keywords {
        cover       = marginal_title // teaser_title // title
      }
      short         = bodytext
      title         = title
      title {
        appendix    = subtitle // bodytext
      }
    }
    gp    = tx_browser_pi1|locationUid
    table = tx_org_location
		var {
			1 = tx_browser_pi1[jobUid]
		}
  }

}