plugin.tx_browser_pi1 {
  views {
    list {
      414 {
        tx_org_news {
          title >
            // text, bookmarks; image
          title = COA
          title {
              // teaser_title, teaser_subtitle, teaser_short, socialmedia_bookmarks
            10 = COA
            10 {
              10 = TEXT
              10 {
                value = Story
                lang {
                  de = Story
                  en = Story
                }
                wrap = <p>|</p>
              }
                // teaser_title
              20 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
              20 {
                default {
                  field = tx_org_news.marginal_title // tx_org_news.teaser_title // tx_org_news.title
                }
                notype {
                  field = tx_org_news.marginal_title // tx_org_news.teaser_title // tx_org_news.title
                }
                page {
                  field = tx_org_news.marginal_title // tx_org_news.teaser_title // tx_org_news.title
                }
                url {
                  field = tx_org_news.marginal_title // tx_org_news.teaser_title // tx_org_news.title
                }
              }
                // teaser_subtitle
              30 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.subtitle.0
              30 {
                default {
                  field = tx_org_news.marginal_subtitle // tx_org_news.teaser_subtitle // tx_org_news.subtitle
                }
                notype {
                  field = tx_org_news.marginal_subtitle // tx_org_news.teaser_subtitle // tx_org_news.subtitle
                }
                page {
                  field = tx_org_news.marginal_subtitle // tx_org_news.teaser_subtitle // tx_org_news.subtitle
                }
                url {
                  field = tx_org_news.marginal_subtitle // tx_org_news.teaser_subtitle // tx_org_news.subtitle
                }
              }
              wrap {
                stdWrap {
                  cObject = COA
                  cObject {
                    10 = TEXT
                    10 {
                        // true, if there is an image or a default image
                      if < temp.plugin.tx_browser_pi1.views.list.414.ifImage
                      value = <div class="###CSSGRID######CSSGRIDSMALL###9 ###CSSGRIDMEDIUM###6 ###CSSGRIDLARGE###6">|</div>
                    }
                    20 = TEXT
                    20 {
                        // false, if there is an image or a default image
                      if < temp.plugin.tx_browser_pi1.views.list.414.ifImage
                      if {
                        negate = 1
                      }
                      value = <div class="###CSSGRID######CSSGRIDSMALL###9 ###CSSGRIDMEDIUM###6 ###CSSGRIDLARGE###6">|</div>
                    }
                  }
                }
              }
            }
              // image
            20 = COA
            20 {
                // true, if there is an image or a default image
              if < temp.plugin.tx_browser_pi1.views.list.414.ifImage
                // image
              10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
              wrap = <div class="###CSSGRID######CSSGRIDSMALL###3 ###CSSGRIDMEDIUM###6 ###CSSGRIDLARGE###6">|</div>
            }
            wrap = <div class="row">|</div>
          }
        }
      }
    }
  }
}