plugin.tx_browser_pi1 {
  views {
    list {
      420 {
        tx_org_news {
            // text, bookmarks; image
          title = COA
          title {
							// row
            10 = COA						
            10 {
								// image
							10 = COA
							10 {
									// true, if there is an image or a default image
								if < temp.plugin.tx_browser_pi1.views.list.420.ifImage
									// image
								10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.image.0
								stdWrap {
									wrap (
										<td class="wrapper">
											<table class="three columns">
												<tr>
													<td>
														| 
													</td>
													<td class="expander"></td>
												</tr>
											</table>
										</td>

)
								}
							}
								// text: teaser_title, teaser_subtitle, teaser_short, bookmarks
								// teaser_title, teaser_subtitle, teaser_short, socialmedia_bookmarks
							20 = COA
							20 {
									// teaser_title
								10 < plugin.tx_browser_pi1.displayList.master_templates.tableFields.header.0
								10 {
									default {
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									notype {
										wrap = <span class="header">|</span>
									}
									page {
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
									url {
										wrap = <span class="header">|</span>
										postCObject = TEXT
										postCObject {
											value = &raquo;
											noTrimWrap = | ||
										}
									}
								}
									// tx_org_news.teaser_subtitle or tx_org_news.subtitle
								20 = TEXT
								20 {
									field     = tx_org_news.teaser_subtitle // tx_org_news.subtitle
									required	= 1
									wrap = <br /><span class="subtitle">|</span>
								}
									// tx_org_news.teaser_short or tx_org_news.bodytext
								30 = TEXT
								30 {
									field     = tx_org_news.teaser_short // tx_org_news.bodytext
									required	= 1
									wrap = <br /><span class="short">|</span>
									stdWrap {
										stripHtml         = 1
										htmlSpecialChars  = 0
										crop = 180 | &nbsp;... | 1
									}
								}
								wrap {
									stdWrap {
										cObject = COA
										cObject {
											10 = TEXT
											10 {
													// true, if there is an image or a default image
												if < temp.plugin.tx_browser_pi1.views.list.420.ifImage
												value (
													<td class="wrapper last">
														<table class="nine columns">
															<tr>
																<td>
																	| 
																</td>
																<td class="expander"></td>
															</tr>
														</table>
													</td>

)
											}
											20 = TEXT
											20 {
													// false, if there is an image or a default image
												if < temp.plugin.tx_browser_pi1.views.list.420.ifImage
												if {
													negate = 1
												}
												value (
													<td class="wrapper">
														| 
													</td>

)
											}
										}
									}
								}
							}
							wrap = <tr>|</tr>
						}
						wrap = <table class="row">|</table>
          }
        }
      }
    }
  }
}